Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## things.common
Interface ThingsCodes

All Known Implementing Classes:
  ActionException, CommandException, SystemException, TestAbortException, TestFailException, ThingsException, ThingsUsageException, UniverseException, UserException

    public interface ThingsCodes

Standard static codes for the system.

These should only be used by system implementations. Eventually, this needs to be an enum.

The threshold levels are as follows. They match the general logging scheme. Anything the level below (higher on the list, lower numberically) is considered to pass the threshold. That is, if the threshold is ERROR, then only FAULTs or lower will pass; the threshold level is not inclusive.
PANIC
FAULT
ERROR
WARNING
INFO
DEBUG
ALL

Version:
  1.0

  Version History

      EPG - Initial - 15 NOV 02
       Modified constantly through the project.

Author:
  Erich P. Gatejen

Field Summary
`static int` | `ACCESS_ERROR_CANNOT_OPEN`
`static int` | `ACCESS_ERROR_CONCURRENT_NOT_ALLOWED`
`static int` | `ACCESS_ERROR_NULL_ITEM`
`static int` | `ACCESS_ERROR_STREAM_NOT_RECOGNIZED`
`static int` | `ACTORSERVICE_ERROR`
`static int` | `ACTORSERVICE_FAULT`
`static int` | `ACTORSERVICE_FAULT_BAD_MESSAGE`
`static int` | `ACTORSERVICE_FAULT_BAD_MESSAGE_FIELD`
`static int` | `ACTORSERVICE_FAULT_BAD_USAGE`
`static int` | `ACTORSERVICE_FAULT_MESSAGE`
`static int` | `ACTORSERVICE_FAULT_STARTUP`
`static int` | `ACTORSERVICE_LINK_ERROR`
`static int` | `ACTORSERVICE_PROTOCOL_ERROR`
`static int` | `ACTORSERVICE_SEND_ERROR`
`static int` | `ALL`
`static int` | `BAD_DSN`
`static int` | `CODE_NONE` EVENTS and CODES.
`static int` | `COMMANDLINE_ERROR_MISSING_REQUIRED`
`static int` | `COMMANDLINE_ERROR_MISSING_REQUIRED_ASSUMED`
`static int` | `COMMANDLINE_ERROR_NAME_NULL`
`static int` | `CONFIGURATION_ERROR_BAD_CONFIGURATION`
`static int` | `CONFIGURATION_FAILED_CHECKPOINT`
`static int` | `CONFIGURATION_FAILED_DEFAULT`
`static int` | `CONFIGURATION_FAULT_DEFAULT`
`static int` | `CRAWLER_ERROR`
`static int` | `CRAWLER_ERROR_DURING_SETUP`
`static int` | `DATA_ATTRIBUTE_OBJECT_NULL`
`static int` | `DATA_ERROR_BAD_DATE_FORMAT`
`static int` | `DATA_ERROR_BRANCH_PROCESSING_ERROR`
`static int` | `DATA_ERROR_CANNOT_BE_NULL_OR_EMPTY`
`static int` | `DATA_ERROR_EXPECTED_NUMBER`
`static int` | `DATA_ERROR_GENERAL`
`static int` | `DATA_ERROR_INDEX_OUTOFBOUNDS`
`static int` | `DATA_ERROR_MATCHER_CANNOT_ADD`
`static int` | `DATA_ERROR_MATCHER_FAILED`
`static int` | `DATA_ERROR_MATCHER_GENERAL`
`static int` | `DATA_ERROR_MATCHER_PATTERN_NOT_ADDED`
`static int` | `DATA_ERROR_PARSING_ERROR`
`static int` | `DATA_ERROR_PATH_NULL`
`static int` | `DATA_ERROR_PROPERTY_BAD_PLY`
`static int` | `DATA_ERROR_PROPERTY_DECODING_PROBLEM`
`static int` | `DATA_ERROR_PROPERTY_EMPTY_PLY`
`static int` | `DATA_ERROR_PROPERTY_ENCODING_PROBLEM`
`static int` | `DATA_ERROR_PROPERTY_FAILED_VALIDATION`
`static int` | `DATA_ERROR_PROPERTY_PATH_NULL`
`static int` | `DATA_ERROR_PROPERTY_VALUE_NULL`
`static int` | `DEBUG`
`static int` | `DEBUG_MODULE_LOADED`
`static int` | `DEBUG_MODULE_SETUP`
`static int` | `DEBUG_PROPERTY_VALUE`
`static int` | `DEBUG_SMTP_RETRIABLE_ERROR`
`static int` | `DEBUG_THING_CALL_DONE`
`static int` | `DEBUG_THING_CALL_DONE_EXCEPTION`
`static int` | `DEBUG_THING_CALL_DONE_INTERRUPTION`
`static int` | `DEBUG_THING_CALL_ENTER`
`static int` | `DEBUG_THING_CALL_GENERAL`
`static int` | `DEBUG_THING_CALL_SETUP`
`static int` | `DEBUG_THING_ECLIPSE_PARENT_EXPRESSOR`
`static int` | `DEBUG_THING_LOADED`
`static int` | `DEBUG_THING_MODULE_INSTANCE`
`static int` | `DEBUG_THING_RUN_DONE_EXCEPTION`
`static int` | `DEBUG_THING_RUN_GENERAL`
`static int` | `DEBUG_TOP`
`static int` | `DECOMPOSER_FAULT`
`static int` | `DECOMPOSER_LOOKUP_ERROR`
`static int` | `DEFAULT_NUMERIC`
`static int` | `ERROR`
`static int` | `ERROR_MODULE_IMPLEMENTATION_NOT_FOUND`
`static int` | `ERROR_MODULE_INSTANTIATION_FAILED`
`static int` | `ERROR_THING_BAD_VALUE`
`static int` | `ERROR_THING_CALL_FAILED`
`static int` | `ERROR_THING_CALL_IMPLEMENTATION_NOT_FOUND`
`static int` | `ERROR_THING_CLUSTER`
`static int` | `ERROR_THING_CLUSTER_CHECK_FAILED`
`static int` | `ERROR_THING_CLUSTER_NODE_ALREADY_DEFINED`
`static int` | `ERROR_THING_CLUSTER_NODE_START_ERROR`
`static int` | `ERROR_THING_ERROR`
`static int` | `ERROR_THING_EXPRESSION_COULD_NOT_SET`
`static int` | `ERROR_THING_EXPRESSION_DEFAULT_ERROR`
`static int` | `ERROR_THING_REQUIRED_PROPERTY_MISSING`
`static int` | `ERROR_THING_RESULT_CALCULATION_FAILED`
`static int` | `ERROR_THING_RESULT_NOT_DEFINED`
`static int` | `ERROR_THING_RESULT_SPURIOUS_ERROR`
`static int` | `ERROR_THING_RUN_FAILED`
`static int` | `ERROR_TOP`
`static int` | `FAULT`
`static int` | `FAULT_TOP`
`static int` | `FILESYSTEM_ERROR_ACCESS_DENIED`
`static int` | `FILESYSTEM_ERROR_BAD_PATH`
`static int` | `FILESYSTEM_ERROR_CONFUSED`
`static int` | `FILESYSTEM_ERROR_COULD_NOT_DELETE`
`static int` | `FILESYSTEM_ERROR_COULD_NOT_REPLACE`
`static int` | `FILESYSTEM_ERROR_DEFAULT`
`static int` | `FILESYSTEM_ERROR_DELETE_FAILED`
`static int` | `FILESYSTEM_ERROR_FAILED_DIRECTORY_OPERATION`
`static int` | `FILESYSTEM_ERROR_FILE_NOT_FOUND`
`static int` | `FILESYSTEM_ERROR_FILE_WONT_DELETE`
`static int` | `FILESYSTEM_ERROR_NOT_A_KNOWN_TYPE`
`static int` | `FLOOR_NUMERIC`
`static int` | `GENERAL_PARSER_ERROR`
`static int` | `GENERAL_PARSER_FAULT`
`static int` | `INFO`
`static int` | `INFO_TOP`
`static int` | `INVALID_NUMERIC` Numeric lower bounderies.
`static int` | `IO_CONDUIT_ERROR_POSTED_TO_NO_DRAINS`
`static int` | `IO_CONDUIT_FAULT_GENERAL`
`static int` | `IO_CONDUIT_FAULT_NOT_INITIALIZED`
`static int` | `IO_CONDUIT_FAULT_POST_FAILED`
`static int` | `IO_CONDUIT_FAULT_POST_FAILED_ON_ENDPOINT_NOT_READY`
`static int` | `IO_CONDUIT_FAULT_POST_FAILED_ON_ENDPOINT_NOT_READY_RESOURCE`
`static int` | `IO_FAULT`
`static int` | `IO_FAULT_ABSTRACT_STREAM`
`static int` | `IO_FAULT_POSTING_FAULT`
`static int` | `IO_FILESYSTEM_FAULT_DEFAULT`
`static int` | `IO_FILESYSTEM_FAULT_GENERAL`
`static int` | `KERNEL_ERROR_DEATH_NOTICE_FAILED`
`static int` | `KERNEL_FAULT`
`static int` | `KERNEL_FAULT_CLASS_ISSUE`
`static int` | `KERNEL_FAULT_COULD_NOT_FORGE_LOGGER`
`static int` | `KERNEL_FAULT_INTERNAL_LOCK_FAILURE`
`static int` | `KERNEL_FAULT_PROCESS_ALREADY_INITIALIZED`
`static int` | `KERNEL_FAULT_PROCESS_ALREADY_NAMED`
`static int` | `KERNEL_FAULT_PROCESS_CREDENTIAL_FAULT`
`static int` | `KERNEL_FAULT_PROCESS_FAULT`
`static int` | `KERNEL_FAULT_PROCESS_ILL_CONSTRUCTED`
`static int` | `KERNEL_FAULT_PROCESS_INTERRUPTED`
`static int` | `KERNEL_FAULT_PROCESS_MANAGEMENT`
`static int` | `KERNEL_FAULT_PROCESS_NOT_RECOGNIZED`
`static int` | `KERNEL_FAULT_PROCESS_REGISTRATION_BAD`
`static int` | `KERNEL_PROCESS_DONE`
`static int` | `KERNEL_PROCESS_FINALIZATION`
`static int` | `KERNEL_PROCESS_INTERRUPTED`
`static int` | `KERNEL_PROCESS_STARTED`
`static int` | `KERNEL_PROCESS_THING_STARTED`
`static int` | `KERNEL_PROCESS_THING_WAITING_START`
`static int` | `MODULE_BUILTIN_UPA_LOAD_FAILED`
`static int` | `MODULE_BUILTIN_UPA_SAVE_FAILED`
`static int` | `MODULE_ERROR`
`static int` | `MODULE_FAULT_BAD_USAGE`
`static int` | `MODULE_FAULT_FAILED_INIT`
`static int` | `MODULE_FAULT_NULL_PARAMETER`
`static int` | `NO_NUMERIC`
`static int` | `PANIC`
`static int` | `PANIC_KERNEL_GENERAL`
`static int` | `PANIC_KERNEL_ID_ALREADY_USED`
`static int` | `PANIC_PROCESS_RESPONDING_TO_HALT_OK`
`static int` | `PANIC_REQUIRED_PROPERTY_NOT_SET`
`static int` | `PANIC_SYSTEM_COMMAND_CASCADING_PROBLEMS`
`static int` | `PANIC_SYSTEM_COMMAND_GENERAL`
`static int` | `PANIC_SYSTEM_COMMAND_GENERAL_RESPONSE_TRANSMISSION`
`static int` | `PANIC_SYSTEM_COMMAND_INTERRUPTED_AND_UNRELIABLE`
`static int` | `PANIC_SYSTEM_CONDUIT_UNRELIABLE`
`static int` | `PANIC_SYSTEM_FAILURE`
`static int` | `PANIC_SYSTEM_KERNEL_FAILURE`
`static int` | `PANIC_SYSTEM_KERNEL_NO_LOGGER_FOR_PROCESS`
`static int` | `PANIC_SYSTEM_LOADER_BAD_STATE`
`static int` | `PANIC_SYSTEM_LOADER_COULD_NOT_CLEAN_FAILED_COMPILE`
`static int` | `PANIC_SYSTEM_LOADER_STARTUP_FAILED`
`static int` | `PANIC_SYSTEM_REINIT_CONDUIT_NOT_ALLOWED`
`static int` | `PANIC_SYSTEM_REINIT_NOT_ALLOWED`
`static int` | `PANIC_SYSTEM_SERVICE_FAILURE`
`static int` | `PANIC_SYSTEM_SERVICE_FAILURE_DURING_CONSTRUCTION`
`static int` | `PANIC_SYSTEM_SERVICE_UNRECOVERABLE`
`static int` | `PANIC_SYSTEM_STARTUP_KERNEL_CONSTRUCTION_FAILURE`
`static int` | `PANIC_SYSTEM_STARTUP_KERNEL_FAILURE`
`static int` | `PANIC_SYSTEM_STARTUP_SERVICE_FAILURE`
`static int` | `PANIC_THINGER_BUG`
`static int` | `PANIC_THINGER_INITIALIZATION_FAULT`
`static int` | `PANIC_THINGER_INITIALIZATION_VIOLATION`
`static int` | `PANIC_THINGS_BUG`
`static int` | `PANIC_THINGS_COMMON_BUG`
`static int` | `PANIC_TOP`
`static int` | `PROCESS_ERROR_BAD_CALL`
`static int` | `PROCESS_ERROR_CREDENTIAL_FAILED`
`static int` | `PROCESS_ERROR_DEFAULT`
`static int` | `PROCESS_ERROR_FINALIZATION_FAILED`
`static int` | `PROCESS_ERROR_ID_NULL`
`static int` | `PROCESS_ERROR_NOT_FOUND`
`static int` | `PROCESS_ERROR_PROCESS`
`static int` | `PROCESSING_ERROR_DEFINITION`
`static int` | `PROCESSING_ERROR_GENERAL`
`static int` | `PROCESSING_ERROR_MERGE`
`static int` | `PROCESSING_ERROR_MERGE_INCOMPLETE`
`static int` | `PROCESSING_ERROR_SETUP`
`static int` | `PROCESSING_ERROR_TEXT_GENERAL`
`static int` | `PROCESSING_FAULT`
`static int` | `PROCESSING_FAULT_HTTP`
`static int` | `PROCESSING_FAULT_MATCHER`
`static int` | `PROCESSOR_HTTP_GHOSTED_PROCESS`
`static int` | `PROCESSOR_HTTPHEADER_FAILED`
`static int` | `PROCESSOR_HTTPHEADER_UNHANDLED`
`static int` | `PROCESSOR_HTTPREQUEST_FAILED`
`static int` | `PROXY_CONNECTION_ERROR`
`static int` | `PROXY_ERROR`
`static int` | `PROXY_FAULT`
`static int` | `PROXY_FAULT_SESSION`
`static int` | `PROXY_FAULT_SOCKET_PREPARE`
`static int` | `PROXY_SESSION_ERROR`
`static int` | `RESOURCE_ERROR_ALREADY_DISPOSED`
`static int` | `RESOURCE_ERROR_ALREADY_REGISTERED`
`static int` | `RESOURCE_ERROR_BAD_REGISTRATION`
`static int` | `RESOURCE_ERROR_DURING_LOOKUP`
`static int` | `RESOURCE_ERROR_DURING_REGISTRATION`
`static int` | `RESOURCE_ERROR_GENERAL`
`static int` | `RESOURCE_ERROR_IDNAMED_USED`
`static int` | `RESOURCE_ERROR_RESOURCE_NOT_REGISTERED`
`static int` | `SERVICE_ACTOR_CONNECTION_ACCEPTED`
`static int` | `SERVICE_ACTOR_OK`
`static int` | `SERVICE_CLI_BAD_COMMAND_LINE`
`static int` | `SERVICE_FAULT_HTTPTOOL`
`static int` | `SERVICE_FAULT_HTTPTOOL_SPURIOUS`
`static int` | `SERVICE_FAULT_HTTPTOOL_STOCK_SETUP`
`static int` | `SERVICE_HTTPTOOL_ACTION_LOAD_FAILED`
`static int` | `SERVICE_HTTPTOOL_ACTIONIZER_BAD_DECLARE`
`static int` | `SERVICE_HTTPTOOL_ACTIONIZER_DECLARATION_FAILED`
`static int` | `SERVICE_HTTPTOOL_BAD_REQUEST`
`static int` | `SERVICE_HTTPTOOL_CONVERSION_ERROR`
`static int` | `SERVICE_HTTPTOOL_ERROR`
`static int` | `SERVICE_HTTPTOOL_ERROR_UNKNOWN_METHOD`
`static int` | `SERVICE_HTTPTOOL_MANAGE_HEAD_FAILED`
`static int` | `SERVICE_HTTPTOOL_OK`
`static int` | `SERVICE_HTTPTOOL_PAGE_LOAD_FAILED`
`static int` | `SERVICE_HTTPTOOL_PAGE_MERGE_FAILED`
`static int` | `SERVICE_HTTPTOOL_PAGE_MERGE_FAILED_USAGE`
`static int` | `SERVICE_HTTPTOOL_PAGE_RENDER_FAILED`
`static int` | `SERVICE_HTTPTOOL_RESPONSE_FAILED`
`static int` | `SERVICE_HTTPTOOL_SERVE_FAILED`
`static int` | `SERVICE_PROXY_ACCEPT`
`static int` | `SERVICE_PROXY_CONTEXT_START_PROCESS`
`static int` | `SERVICE_PROXY_SR_COMPLETE`
`static int` | `SERVICE_THINGER_BAD_CONSTRUCTION`
`static int` | `SERVICE_THINGER_ERROR`
`static int` | `SMTPCLIENT_BENIGN_DISCONNECT_ERROR`
`static int` | `SMTPCLIENT_ERROR_ALREADY_CONNECTED`
`static int` | `SMTPCLIENT_ERROR_LOGIN_FAILED`
`static int` | `SMTPCLIENT_ERROR_MAILFROM_FAILED`
`static int` | `SMTPCLIENT_ERROR_RCPTTO_FAILED`
`static int` | `SMTPCLIENT_ERROR_SEND_FAILED`
`static int` | `SMTPCLIENT_ERROR_SEND_TIMEOUT`
`static int` | `SMTPCLIENT_FAULT_BAD_STATE`
`static int` | `SMTPCLIENT_FAULT_CANNOT_COMPLETE`
`static int` | `SMTPCLIENT_FAULT_CANNOT_COMPLETE_NOT_RETRYABLE`
`static int` | `SMTPCLIENT_FAULT_CANNOT_CONNECT`
`static int` | `SMTPCLIENT_FAULT_GENERAL`
`static int` | `SMTPCLIENT_FAULT_NOT_STARTED`
`static int` | `SMTPCLIENT_FAULT_SPURIOUS`
`static int` | `SMTPCLIENT_FAULT_STARTUP`
`static int` | `SMTPCLIENT_INTERRUPTED_AND_QUITTING`
`static int` | `SMTPCLIENT_SEND_OK`
`static int` | `SYSTEM_CALL_ERROR_BAD_CALL`
`static int` | `SYSTEM_CALL_ERROR_GENERAL`
`static int` | `SYSTEM_CALL_ERROR_GET_CONFIG_PROPERTIES`
`static int` | `SYSTEM_CALL_ERROR_GET_EXPRESSOR`
`static int` | `SYSTEM_CALL_ERROR_GET_LOCAL_LOG`
`static int` | `SYSTEM_CALL_ERROR_GET_LOCAL_PROPERTIES`
`static int` | `SYSTEM_CALL_ERROR_GET_SYSTEM_LOGGER`
`static int` | `SYSTEM_CALL_ERROR_LOAD_MODULE`
`static int` | `SYSTEM_CALL_ERROR_LOAD_THING`
`static int` | `SYSTEM_CALL_ERROR_RUN_THING`
`static int` | `SYSTEM_COMMAND_ERROR_ALREADY_RESPONDED`
`static int` | `SYSTEM_COMMAND_ERROR_BAD_DECLARATION`
`static int` | `SYSTEM_COMMAND_ERROR_BAD_PARAMETER`
`static int` | `SYSTEM_COMMAND_ERROR_BAD_PROCESSING`
`static int` | `SYSTEM_COMMAND_ERROR_COMMAND_ALREADY_DONE`
`static int` | `SYSTEM_COMMAND_ERROR_COMMAND_NOT_FOUND`
`static int` | `SYSTEM_COMMAND_ERROR_COMMAND_RESPONSE_PROCESSING`
`static int` | `SYSTEM_COMMAND_ERROR_DATATYPE_VIOLATION_VALUE`
`static int` | `SYSTEM_COMMAND_ERROR_GENERAL`
`static int` | `SYSTEM_COMMAND_ERROR_INSTANCE_MISSING_REQUIRED_PARAMETER`
`static int` | `SYSTEM_COMMAND_ERROR_ISSUANCE_FAILED`
`static int` | `SYSTEM_COMMAND_ERROR_ISSUANCE_NO_RECEIPTS`
`static int` | `SYSTEM_COMMAND_ERROR_MALFORMED`
`static int` | `SYSTEM_COMMAND_ERROR_NOT_DECLARED`
`static int` | `SYSTEM_COMMAND_ERROR_NULL_COMMAND`
`static int` | `SYSTEM_COMMAND_ERROR_NULL_PARAMETER_NAME`
`static int` | `SYSTEM_COMMAND_ERROR_NULL_RESPONSE_RECEIPT`
`static int` | `SYSTEM_COMMAND_ERROR_OCCURANCE_VIOLATION`
`static int` | `SYSTEM_COMMAND_ERROR_OCCURANCE_VIOLATION_NEVER`
`static int` | `SYSTEM_COMMAND_ERROR_OCCURANCE_VIOLATION_ONLYONE`
`static int` | `SYSTEM_COMMAND_ERROR_OPERATION_FAILED`
`static int` | `SYSTEM_COMMAND_ERROR_PARAMETER_NOT_DEFINED`
`static int` | `SYSTEM_COMMAND_ERROR_PROPERTY_PROBLEM`
`static int` | `SYSTEM_COMMAND_ERROR_RESPONSE_NOT_DEFINED`
`static int` | `SYSTEM_COMMAND_ERROR_SET_FAILED`
`static int` | `SYSTEM_COMMAND_ERROR_TYPE_VIOLATION`
`static int` | `SYSTEM_COMMAND_FAULT`
`static int` | `SYSTEM_COMMAND_FAULT_CANNOT_DEFINE`
`static int` | `SYSTEM_COMMAND_FAULT_CLASS_NOT_FOUND`
`static int` | `SYSTEM_COMMAND_FAULT_COULD_NOT_BUILD_CLI_COMMAND`
`static int` | `SYSTEM_COMMAND_FAULT_COULD_NOT_BUILD_COMMANDER`
`static int` | `SYSTEM_COMMAND_FAULT_COULD_NOT_BUILD_RESPONSE`
`static int` | `SYSTEM_COMMAND_FAULT_COULD_NOT_ISSUE_CLI_COMMAND`
`static int` | `SYSTEM_COMMAND_FAULT_DURING_ISSUANCE`
`static int` | `SYSTEM_COMMAND_FAULT_INSTANCE_DATA_BAD`
`static int` | `SYSTEM_COMMAND_FAULT_INSTANCE_TYPE_MIXING`
`static int` | `SYSTEM_COMMAND_FAULT_INSTANCE_USED_BEFORE_READY`
`static int` | `SYSTEM_COMMAND_FAULT_NOT_DEFINED`
`static int` | `SYSTEM_COMMAND_FAULT_PARAMETER_MISSING_AFTER_TRANSMISSION`
`static int` | `SYSTEM_COMMAND_FAULT_RESPONSE_FAILED`
`static int` | `SYSTEM_COMMAND_FAULT_RESPONSE_FAILED_BAD_RECIEPT`
`static int` | `SYSTEM_COMMAND_FAULT_RESPONSE_OBJECT_BAD`
`static int` | `SYSTEM_COMMAND_FAULT_RESPONSE_PROCESSING`
`static int` | `SYSTEM_COMMAND_FAULT_SERVICE_ABORTED`
`static int` | `SYSTEM_COMMAND_FAULT_SET_PROBLEM`
`static int` | `SYSTEM_COMMAND_FAULT_SPURIOUS`
`static int` | `SYSTEM_COMMAND_FAULT_UNDEFINED_STATE`
`static int` | `SYSTEM_COMMAND_WARNING_GENERAL`
`static int` | `SYSTEM_COMMAND_WARNING_NO_ONE_LISTENING`
`static int` | `SYSTEM_DEBUG`
`static int` | `SYSTEM_DEBUG_COMMAND`
`static int` | `SYSTEM_ERROR`
`static int` | `SYSTEM_ERROR_ATTRIBUTE_CODEC_FAILED`
`static int` | `SYSTEM_ERROR_BAD_PROPERTY`
`static int` | `SYSTEM_ERROR_BAD_PROPERTY_NAME_NULL`
`static int` | `SYSTEM_ERROR_BAD_PROPERTY_NOT_DEFINED`
`static int` | `SYSTEM_ERROR_BAD_PROPERTY_TEXT`
`static int` | `SYSTEM_ERROR_BAD_PROPERTY_WRITE`
`static int` | `SYSTEM_ERROR_COMPONENT_INTERRUPTED`
`static int` | `SYSTEM_ERROR_LOGGING_FAILED`
`static int` | `SYSTEM_ERROR_LOGGING_FAILED_ON_CONDUIT`
`static int` | `SYSTEM_ERROR_LOGGING_FAILED_ON_RESOURCE_NOT_READY`
`static int` | `SYSTEM_ERROR_LOGGING_LOG_LEVEL_INVALID`
`static int` | `SYSTEM_ERROR_LOGGING_LOGGER_ALREADY_ISSUED`
`static int` | `SYSTEM_ERROR_MESSAGE_ENCODING_FAILED`
`static int` | `SYSTEM_ERROR_OPTIONAL_PROPERTY_NOT_SINGLE`
`static int` | `SYSTEM_ERROR_REQUIRED_PROPERTY_NOT_AN_INTEGER`
`static int` | `SYSTEM_ERROR_REQUIRED_PROPERTY_NOT_SET`
`static int` | `SYSTEM_ERROR_REQUIRED_PROPERTY_NOT_SINGLE`
`static int` | `SYSTEM_ERROR_TOP`
`static int` | `SYSTEM_FAULT`
`static int` | `SYSTEM_FAULT_DATA_DEFAULT`
`static int` | `SYSTEM_FAULT_DATA_VIOLATE_NATIVE`
`static int` | `SYSTEM_FAULT_EXTERNAL_INTERRUPTION`
`static int` | `SYSTEM_FAULT_FAILED_INIT`
`static int` | `SYSTEM_FAULT_PROCESS`
`static int` | `SYSTEM_FAULT_PROCESS_INIT_FAILED`
`static int` | `SYSTEM_FAULT_PROCESS_INTERRUPTED`
`static int` | `SYSTEM_FAULT_PROCESS_REGISTER_FAILED`
`static int` | `SYSTEM_FAULT_PROCESS_UNHANDLED`
`static int` | `SYSTEM_FAULT_PROCESS_WAIT_INTERRUPTED`
`static int` | `SYSTEM_FAULT_PROPERTIES_BAD_ACCESS`
`static int` | `SYSTEM_FAULT_PROPERTIES_LOAD_FAILED`
`static int` | `SYSTEM_FAULT_PROPERTIES_MODE_VIOLATION`
`static int` | `SYSTEM_FAULT_PROPERTIES_SAVE_FAILED`
`static int` | `SYSTEM_FAULT_PROPERTIES_SOURCE_NOT_FOUND`
`static int` | `SYSTEM_FAULT_PROPERTYVIEW_NOT_INITIALIZED`
`static int` | `SYSTEM_FAULT_SERVICE_FAILED_TO_CONSTRUCT`
`static int` | `SYSTEM_FAULT_SERVICE_GERERAL`
`static int` | `SYSTEM_FAULT_SERVICE_PROBLEM`
`static int` | `SYSTEM_FAULT_SOFTWARE_DETECTED`
`static int` | `SYSTEM_FAULT_SOFTWARE_PROBLEM`
`static int` | `SYSTEM_FAULT_SOFTWARE_PROCESS_DISALLOWED`
`static int` | `SYSTEM_FAULT_STAMP_CREATION_FAILED`
`static int` | `SYSTEM_FAULT_TEST_SUITE`
`static int` | `SYSTEM_FAULT_THING_CONSTRUCTION_BAD_CLASS`
`static int` | `SYSTEM_FAULT_THING_CONSTRUCTION_NULLED`
`static int` | `SYSTEM_FAULT_THING_CONSTRUCTION_SPURIOUS_EXCEPTION`
`static int` | `SYSTEM_FAULT_THING_DIED`
`static int` | `SYSTEM_FAULT_THING_FAILED_DEFINITION`
`static int` | `SYSTEM_FAULT_THING_FAILED_INIT`
`static int` | `SYSTEM_FAULT_THING_FAULT`
`static int` | `SYSTEM_FAULT_THING_PROBLEM`
`static int` | `SYSTEM_FAULT_THING_RESULT_BAD`
`static int` | `SYSTEM_FAULT_THING_RESULT_MISUSED`
`static int` | `SYSTEM_FAULT_THING_SPURIOUS_EXCEPTION`
`static int` | `SYSTEM_FAULT_TOOLKIT_FAILED`
`static int` | `SYSTEM_FAULT_WITH_PROPERTIES`
`static int` | `SYSTEM_INFRA_ATTR_CODEC`
`static int` | `SYSTEM_INFRA_BAD_DATA`
`static int` | `SYSTEM_INFRA_BAD_DATA_ODD`
`static int` | `SYSTEM_INFRA_ERROR`
`static int` | `SYSTEM_INFRA_NULLED_DATA`
`static int` | `SYSTEM_LOADER_ERROR_BAD_THING_NAME`
`static int` | `SYSTEM_LOADER_ERROR_CANT_FIND_THING`
`static int` | `SYSTEM_LOADER_ERROR_COMPILE_ERRORS`
`static int` | `SYSTEM_LOADER_ERROR_COULD_NOT_LOAD`
`static int` | `SYSTEM_LOADER_ERROR_UNIVERSE_PROBLEM`
`static int` | `SYSTEM_LOADER_FAULT`
`static int` | `SYSTEM_LOADER_FAULT_BAD_CONFIG`
`static int` | `SYSTEM_LOADER_FAULT_COMPILER_FAILED`
`static int` | `SYSTEM_LOADER_FAULT_DUPLICATE_CONFIG`
`static int` | `SYSTEM_SERVICE_DONE`
`static int` | `SYSTEM_SERVICE_ERROR_COMMAND_GENERAL`
`static int` | `SYSTEM_SERVICE_ERROR_COMMAND_MALFORMED`
`static int` | `SYSTEM_SERVICE_NOTIFICATION`
`static int` | `SYSTEM_SERVICE_RESPONSE_TIMEOUT`
`static int` | `TEST_ERROR_ABORT`
`static int` | `TEST_ERROR_COULD_NOT_PREP_TEST`
`static int` | `TEST_ERROR_DEFAULT`
`static int` | `TEST_ERROR_FAIL`
`static int` | `TEST_ERROR_GROUP_ERROR`
`static int` | `TEST_ERROR_TEST_IMPL_PROBLEM`
`static int` | `TEST_FAULT_DEFAULT`
`static int` | `TEST_FAULT_NOT_INITIALIZED`
`static int` | `THING_CLUSTER_NODE_STARTED`
`static int` | `THING_FAULT_COMMANDLINE_BAD_DECLARATION`
`static int` | `THING_FAULT_COMMANDLINE_NOT_DECLARED`
`static int` | `THING_FAULT_COMMANDLINE_PROCESSOR_STARTUP`
`static int` | `THING_FAULT_DEFAULT`
`static int` | `THING_FAULT_DEFINITION`
`static int` | `THING_FAULT_DEFINITION_ALREADY_NAMED`
`static int` | `THING_FAULT_DEFINITION_BAD`
`static int` | `THING_FAULT_MODULE_DEFAULT`
`static int` | `THING_FAULT_RESULT_COLLECTION`
`static int` | `THING_FAULT_RESULT_FUNDIMENTAL`
`static int` | `THING_FAULT_RESULT_MANAGEMENT`
`static int` | `THING_FAULT_SERVICE_COULD_NOT_GET_UNIVERSE`
`static int` | `THING_FAULT_SERVICE_COULD_NOT_GET_UNIVERSE_ACCESSOR`
`static int` | `UNIVERSE_ERROR_BAD_KEY`
`static int` | `UNIVERSE_ERROR_CONFIG_BAD_REQUIRED`
`static int` | `UNIVERSE_ERROR_CONFIG_BAD_VALUE`
`static int` | `UNIVERSE_ERROR_CONFIG_MISSING_REQUIRED`
`static int` | `UNIVERSE_ERROR_DEFAULT`
`static int` | `UNIVERSE_ERROR_DELETE_FAILED`
`static int` | `UNIVERSE_ERROR_DISALLOWED_NAME`
`static int` | `UNIVERSE_ERROR_EMPTY_NAME`
`static int` | `UNIVERSE_ERROR_GET_MATCHES`
`static int` | `UNIVERSE_ERROR_GET_MODIFIED_DATE_FAILED`
`static int` | `UNIVERSE_ERROR_IO_PROBLEM`
`static int` | `UNIVERSE_ERROR_OBJECT_DOESNT_EXIST`
`static int` | `UNIVERSE_ERROR_OBJECT_LOCKED`
`static int` | `UNIVERSE_ERROR_REGISTRATION_BAD`
`static int` | `UNIVERSE_ERROR_REGISTRATION_DUPLICATE`
`static int` | `UNIVERSE_ERROR_REGISTRATION_NOT_ALLOWED`
`static int` | `UNIVERSE_FAULT_ACCESSOR_PROBLEM`
`static int` | `UNIVERSE_FAULT_BAD_CALL`
`static int` | `UNIVERSE_FAULT_COULD_NOT_ACCESS`
`static int` | `UNIVERSE_FAULT_DEFAULT`
`static int` | `UNIVERSE_FAULT_LOCAL_MANAGEMENT`
`static int` | `UNIVERSE_FAULT_LOCAL_PATH_MANAGEMENT`
`static int` | `UNIVERSE_FAULT_NAMING_FAILED`
`static int` | `UNIVERSE_FAULT_NOT_REGISTERED`
`static int` | `UNIVERSE_FAULT_UNEXPECTED`
`static int` | `USAGE_ERROR`
`static int` | `USER_BAD_CONFIGURATION_ERROR`
`static int` | `USER_COMMAND_ERROR`
`static int` | `USER_DEBUG_RESERVED_END`
`static int` | `USER_DEFAULT_INFO`
`static int` | `USER_ERROR_RESERVED_END`
`static int` | `USER_EXPRESSION_FAILED`
`static int` | `USER_FAULT_RESERVED_END`
`static int` | `USER_INFO_RESERVED_END`
`static int` | `USER_PANIC_RESERVED_END`
`static int` | `USER_RESULT_COMPLETE`
`static int` | `USER_RESULT_DEFAULT`
`static int` | `USER_RESULT_ERRORED`
`static int` | `USER_THING_MANAGEMENT`
`static int` | `USER_UNSUPPORTED_FUNCTION_ERROR`
`static int` | `USER_WARNING_RESERVED_END`
`static int` | `VERBOSE_FAILED_TO_START`
`static int` | `WARNING`
`static int` | `WARNING_TOP`

Field Detail

### INVALID_NUMERIC

    static final int INVALID_NUMERIC

  Numeric lower bounderies.
  0x0000 - system panic
  0x0500 - module panic
  0x1000 - system fault
  0x2000 - module fault
  0x3000 - user fault
  0x4000 - system error
  0x5000 - module error
  0x6000 - user error
  0x7000 - system warning
  0x8000 - module warning
  0x9000 - user warning
  0xA000 - system info
  0xB000 - module info
  0xC000 - user info
  0xD000 - system debug
  0xE000 - module debug
  0xF000 - user debug
  0xFFFF - ALL

  See Also:
    Constant Field Values

### FLOOR_NUMERIC

    static final int FLOOR_NUMERIC

See Also:
  Constant Field Values

### NO_NUMERIC

    static final int NO_NUMERIC

See Also:
  Constant Field Values

### DEFAULT_NUMERIC

    static final int DEFAULT_NUMERIC

See Also:
  Constant Field Values

### CODE_NONE

    static final int CODE_NONE

  EVENTS and CODES. They share number space.

  See Also:
    Constant Field Values

### PANIC

    static final int PANIC

See Also:
  Constant Field Values

### PANIC_PROCESS_RESPONDING_TO_HALT_OK

    static final int PANIC_PROCESS_RESPONDING_TO_HALT_OK

See Also:
  Constant Field Values

### PANIC_THINGS_BUG

    static final int PANIC_THINGS_BUG

See Also:
  Constant Field Values

### PANIC_THINGS_COMMON_BUG

    static final int PANIC_THINGS_COMMON_BUG

See Also:
  Constant Field Values

### PANIC_THINGER_BUG

    static final int PANIC_THINGER_BUG

See Also:
  Constant Field Values

### PANIC_THINGER_INITIALIZATION_VIOLATION

    static final int PANIC_THINGER_INITIALIZATION_VIOLATION

See Also:
  Constant Field Values

### PANIC_THINGER_INITIALIZATION_FAULT

    static final int PANIC_THINGER_INITIALIZATION_FAULT

See Also:
  Constant Field Values

### PANIC_KERNEL_GENERAL

    static final int PANIC_KERNEL_GENERAL

See Also:
  Constant Field Values

### PANIC_KERNEL_ID_ALREADY_USED

    static final int PANIC_KERNEL_ID_ALREADY_USED

See Also:
  Constant Field Values

### PANIC_REQUIRED_PROPERTY_NOT_SET

    static final int PANIC_REQUIRED_PROPERTY_NOT_SET

See Also:
  Constant Field Values

### PANIC_SYSTEM_FAILURE

    static final int PANIC_SYSTEM_FAILURE

See Also:
  Constant Field Values

### PANIC_SYSTEM_KERNEL_FAILURE

    static final int PANIC_SYSTEM_KERNEL_FAILURE

See Also:
  Constant Field Values

### PANIC_SYSTEM_STARTUP_KERNEL_FAILURE

    static final int PANIC_SYSTEM_STARTUP_KERNEL_FAILURE

See Also:
  Constant Field Values

### PANIC_SYSTEM_KERNEL_NO_LOGGER_FOR_PROCESS

    static final int PANIC_SYSTEM_KERNEL_NO_LOGGER_FOR_PROCESS

See Also:
  Constant Field Values

### PANIC_SYSTEM_STARTUP_KERNEL_CONSTRUCTION_FAILURE

    static final int PANIC_SYSTEM_STARTUP_KERNEL_CONSTRUCTION_FAILURE

See Also:
  Constant Field Values

### PANIC_SYSTEM_LOADER_STARTUP_FAILED

    static final int PANIC_SYSTEM_LOADER_STARTUP_FAILED

See Also:
  Constant Field Values

### PANIC_SYSTEM_LOADER_BAD_STATE

    static final int PANIC_SYSTEM_LOADER_BAD_STATE

See Also:
  Constant Field Values

### PANIC_SYSTEM_LOADER_COULD_NOT_CLEAN_FAILED_COMPILE

    static final int PANIC_SYSTEM_LOADER_COULD_NOT_CLEAN_FAILED_COMPILE

See Also:
  Constant Field Values

### PANIC_SYSTEM_STARTUP_SERVICE_FAILURE

    static final int PANIC_SYSTEM_STARTUP_SERVICE_FAILURE

See Also:
  Constant Field Values

### PANIC_SYSTEM_SERVICE_FAILURE

    static final int PANIC_SYSTEM_SERVICE_FAILURE

See Also:
  Constant Field Values

### PANIC_SYSTEM_SERVICE_FAILURE_DURING_CONSTRUCTION

    static final int PANIC_SYSTEM_SERVICE_FAILURE_DURING_CONSTRUCTION

See Also:
  Constant Field Values

### PANIC_SYSTEM_SERVICE_UNRECOVERABLE

    static final int PANIC_SYSTEM_SERVICE_UNRECOVERABLE

See Also:
  Constant Field Values

### PANIC_SYSTEM_COMMAND_GENERAL

    static final int PANIC_SYSTEM_COMMAND_GENERAL

See Also:
  Constant Field Values

### PANIC_SYSTEM_COMMAND_GENERAL_RESPONSE_TRANSMISSION

    static final int PANIC_SYSTEM_COMMAND_GENERAL_RESPONSE_TRANSMISSION

See Also:
  Constant Field Values

### PANIC_SYSTEM_COMMAND_INTERRUPTED_AND_UNRELIABLE

    static final int PANIC_SYSTEM_COMMAND_INTERRUPTED_AND_UNRELIABLE

See Also:
  Constant Field Values

### PANIC_SYSTEM_COMMAND_CASCADING_PROBLEMS

    static final int PANIC_SYSTEM_COMMAND_CASCADING_PROBLEMS

See Also:
  Constant Field Values

### PANIC_SYSTEM_REINIT_NOT_ALLOWED

    static final int PANIC_SYSTEM_REINIT_NOT_ALLOWED

See Also:
  Constant Field Values

### PANIC_SYSTEM_REINIT_CONDUIT_NOT_ALLOWED

    static final int PANIC_SYSTEM_REINIT_CONDUIT_NOT_ALLOWED

See Also:
  Constant Field Values

### PANIC_SYSTEM_CONDUIT_UNRELIABLE

    static final int PANIC_SYSTEM_CONDUIT_UNRELIABLE

See Also:
  Constant Field Values

### USER_PANIC_RESERVED_END

    static final int USER_PANIC_RESERVED_END

See Also:
  Constant Field Values

### PANIC_TOP

    static final int PANIC_TOP

See Also:
  Constant Field Values

### FAULT

    static final int FAULT

See Also:
  Constant Field Values

### SYSTEM_FAULT

    static final int SYSTEM_FAULT

See Also:
  Constant Field Values

### SYSTEM_FAULT_STAMP_CREATION_FAILED

    static final int SYSTEM_FAULT_STAMP_CREATION_FAILED

See Also:
  Constant Field Values

### SYSTEM_FAULT_EXTERNAL_INTERRUPTION

    static final int SYSTEM_FAULT_EXTERNAL_INTERRUPTION

See Also:
  Constant Field Values

### KERNEL_FAULT

    static final int KERNEL_FAULT

See Also:
  Constant Field Values

### KERNEL_FAULT_INTERNAL_LOCK_FAILURE

    static final int KERNEL_FAULT_INTERNAL_LOCK_FAILURE

See Also:
  Constant Field Values

### KERNEL_FAULT_CLASS_ISSUE

    static final int KERNEL_FAULT_CLASS_ISSUE

See Also:
  Constant Field Values

### KERNEL_FAULT_COULD_NOT_FORGE_LOGGER

    static final int KERNEL_FAULT_COULD_NOT_FORGE_LOGGER

See Also:
  Constant Field Values

### KERNEL_FAULT_PROCESS_FAULT

    static final int KERNEL_FAULT_PROCESS_FAULT

See Also:
  Constant Field Values

### KERNEL_FAULT_PROCESS_ILL_CONSTRUCTED

    static final int KERNEL_FAULT_PROCESS_ILL_CONSTRUCTED

See Also:
  Constant Field Values

### KERNEL_FAULT_PROCESS_ALREADY_INITIALIZED

    static final int KERNEL_FAULT_PROCESS_ALREADY_INITIALIZED

See Also:
  Constant Field Values

### KERNEL_FAULT_PROCESS_REGISTRATION_BAD

    static final int KERNEL_FAULT_PROCESS_REGISTRATION_BAD

See Also:
  Constant Field Values

### KERNEL_FAULT_PROCESS_ALREADY_NAMED

    static final int KERNEL_FAULT_PROCESS_ALREADY_NAMED

See Also:
  Constant Field Values

### KERNEL_FAULT_PROCESS_NOT_RECOGNIZED

    static final int KERNEL_FAULT_PROCESS_NOT_RECOGNIZED

See Also:
  Constant Field Values

### KERNEL_FAULT_PROCESS_CREDENTIAL_FAULT

    static final int KERNEL_FAULT_PROCESS_CREDENTIAL_FAULT

See Also:
  Constant Field Values

### KERNEL_FAULT_PROCESS_MANAGEMENT

    static final int KERNEL_FAULT_PROCESS_MANAGEMENT

See Also:
  Constant Field Values

### KERNEL_FAULT_PROCESS_INTERRUPTED

    static final int KERNEL_FAULT_PROCESS_INTERRUPTED

See Also:
  Constant Field Values

### IO_FAULT

    static final int IO_FAULT

See Also:
  Constant Field Values

### IO_FAULT_POSTING_FAULT

    static final int IO_FAULT_POSTING_FAULT

See Also:
  Constant Field Values

### IO_FAULT_ABSTRACT_STREAM

    static final int IO_FAULT_ABSTRACT_STREAM

See Also:
  Constant Field Values

### IO_FILESYSTEM_FAULT_DEFAULT

    static final int IO_FILESYSTEM_FAULT_DEFAULT

See Also:
  Constant Field Values

### IO_FILESYSTEM_FAULT_GENERAL

    static final int IO_FILESYSTEM_FAULT_GENERAL

See Also:
  Constant Field Values

### IO_CONDUIT_FAULT_GENERAL

    static final int IO_CONDUIT_FAULT_GENERAL

See Also:
  Constant Field Values

### IO_CONDUIT_FAULT_NOT_INITIALIZED

    static final int IO_CONDUIT_FAULT_NOT_INITIALIZED

See Also:
  Constant Field Values

### IO_CONDUIT_FAULT_POST_FAILED

    static final int IO_CONDUIT_FAULT_POST_FAILED

See Also:
  Constant Field Values

### IO_CONDUIT_FAULT_POST_FAILED_ON_ENDPOINT_NOT_READY

    static final int IO_CONDUIT_FAULT_POST_FAILED_ON_ENDPOINT_NOT_READY

See Also:
  Constant Field Values

### IO_CONDUIT_FAULT_POST_FAILED_ON_ENDPOINT_NOT_READY_RESOURCE

    static final int IO_CONDUIT_FAULT_POST_FAILED_ON_ENDPOINT_NOT_READY_RESOURCE

See Also:
  Constant Field Values

### TEST_FAULT_DEFAULT

    static final int TEST_FAULT_DEFAULT

See Also:
  Constant Field Values

### TEST_FAULT_NOT_INITIALIZED

    static final int TEST_FAULT_NOT_INITIALIZED

See Also:
  Constant Field Values

### SYSTEM_FAULT_PROPERTYVIEW_NOT_INITIALIZED

    static final int SYSTEM_FAULT_PROPERTYVIEW_NOT_INITIALIZED

See Also:
  Constant Field Values

### SYSTEM_FAULT_WITH_PROPERTIES

    static final int SYSTEM_FAULT_WITH_PROPERTIES

See Also:
  Constant Field Values

### SYSTEM_FAULT_PROPERTIES_SOURCE_NOT_FOUND

    static final int SYSTEM_FAULT_PROPERTIES_SOURCE_NOT_FOUND

See Also:
  Constant Field Values

### SYSTEM_FAULT_PROPERTIES_LOAD_FAILED

    static final int SYSTEM_FAULT_PROPERTIES_LOAD_FAILED

See Also:
  Constant Field Values

### SYSTEM_FAULT_PROPERTIES_SAVE_FAILED

    static final int SYSTEM_FAULT_PROPERTIES_SAVE_FAILED

See Also:
  Constant Field Values

### SYSTEM_FAULT_PROPERTIES_MODE_VIOLATION

    static final int SYSTEM_FAULT_PROPERTIES_MODE_VIOLATION

See Also:
  Constant Field Values

### SYSTEM_FAULT_TOOLKIT_FAILED

    static final int SYSTEM_FAULT_TOOLKIT_FAILED

See Also:
  Constant Field Values

### SYSTEM_FAULT_PROPERTIES_BAD_ACCESS

    static final int SYSTEM_FAULT_PROPERTIES_BAD_ACCESS

See Also:
  Constant Field Values

### SYSTEM_FAULT_PROCESS

    static final int SYSTEM_FAULT_PROCESS

See Also:
  Constant Field Values

### SYSTEM_FAULT_PROCESS_INIT_FAILED

    static final int SYSTEM_FAULT_PROCESS_INIT_FAILED

See Also:
  Constant Field Values

### SYSTEM_FAULT_PROCESS_REGISTER_FAILED

    static final int SYSTEM_FAULT_PROCESS_REGISTER_FAILED

See Also:
  Constant Field Values

### SYSTEM_FAULT_PROCESS_UNHANDLED

    static final int SYSTEM_FAULT_PROCESS_UNHANDLED

See Also:
  Constant Field Values

### SYSTEM_FAULT_PROCESS_INTERRUPTED

    static final int SYSTEM_FAULT_PROCESS_INTERRUPTED

See Also:
  Constant Field Values

### SYSTEM_FAULT_PROCESS_WAIT_INTERRUPTED

    static final int SYSTEM_FAULT_PROCESS_WAIT_INTERRUPTED

See Also:
  Constant Field Values

### SYSTEM_COMMAND_FAULT

    static final int SYSTEM_COMMAND_FAULT

See Also:
  Constant Field Values

### SYSTEM_COMMAND_FAULT_RESPONSE_FAILED

    static final int SYSTEM_COMMAND_FAULT_RESPONSE_FAILED

See Also:
  Constant Field Values

### SYSTEM_COMMAND_FAULT_SERVICE_ABORTED

    static final int SYSTEM_COMMAND_FAULT_SERVICE_ABORTED

See Also:
  Constant Field Values

### SYSTEM_COMMAND_FAULT_RESPONSE_FAILED_BAD_RECIEPT

    static final int SYSTEM_COMMAND_FAULT_RESPONSE_FAILED_BAD_RECIEPT

See Also:
  Constant Field Values

### SYSTEM_COMMAND_FAULT_CANNOT_DEFINE

    static final int SYSTEM_COMMAND_FAULT_CANNOT_DEFINE

See Also:
  Constant Field Values

### SYSTEM_COMMAND_FAULT_UNDEFINED_STATE

    static final int SYSTEM_COMMAND_FAULT_UNDEFINED_STATE

See Also:
  Constant Field Values

### SYSTEM_COMMAND_FAULT_SET_PROBLEM

    static final int SYSTEM_COMMAND_FAULT_SET_PROBLEM

See Also:
  Constant Field Values

### SYSTEM_COMMAND_FAULT_INSTANCE_USED_BEFORE_READY

    static final int SYSTEM_COMMAND_FAULT_INSTANCE_USED_BEFORE_READY

See Also:
  Constant Field Values

### SYSTEM_COMMAND_FAULT_INSTANCE_TYPE_MIXING

    static final int SYSTEM_COMMAND_FAULT_INSTANCE_TYPE_MIXING

See Also:
  Constant Field Values

### SYSTEM_COMMAND_FAULT_INSTANCE_DATA_BAD

    static final int SYSTEM_COMMAND_FAULT_INSTANCE_DATA_BAD

See Also:
  Constant Field Values

### SYSTEM_COMMAND_FAULT_DURING_ISSUANCE

    static final int SYSTEM_COMMAND_FAULT_DURING_ISSUANCE

See Also:
  Constant Field Values

### SYSTEM_COMMAND_FAULT_RESPONSE_OBJECT_BAD

    static final int SYSTEM_COMMAND_FAULT_RESPONSE_OBJECT_BAD

See Also:
  Constant Field Values

### SYSTEM_COMMAND_FAULT_RESPONSE_PROCESSING

    static final int SYSTEM_COMMAND_FAULT_RESPONSE_PROCESSING

See Also:
  Constant Field Values

### SYSTEM_COMMAND_FAULT_SPURIOUS

    static final int SYSTEM_COMMAND_FAULT_SPURIOUS

See Also:
  Constant Field Values

### SYSTEM_COMMAND_FAULT_NOT_DEFINED

    static final int SYSTEM_COMMAND_FAULT_NOT_DEFINED

See Also:
  Constant Field Values

### SYSTEM_COMMAND_FAULT_CLASS_NOT_FOUND

    static final int SYSTEM_COMMAND_FAULT_CLASS_NOT_FOUND

See Also:
  Constant Field Values

### SYSTEM_COMMAND_FAULT_PARAMETER_MISSING_AFTER_TRANSMISSION

    static final int SYSTEM_COMMAND_FAULT_PARAMETER_MISSING_AFTER_TRANSMISSION

See Also:
  Constant Field Values

### SYSTEM_COMMAND_FAULT_COULD_NOT_BUILD_RESPONSE

    static final int SYSTEM_COMMAND_FAULT_COULD_NOT_BUILD_RESPONSE

See Also:
  Constant Field Values

### SYSTEM_COMMAND_FAULT_COULD_NOT_BUILD_COMMANDER

    static final int SYSTEM_COMMAND_FAULT_COULD_NOT_BUILD_COMMANDER

See Also:
  Constant Field Values

### SYSTEM_COMMAND_FAULT_COULD_NOT_BUILD_CLI_COMMAND

    static final int SYSTEM_COMMAND_FAULT_COULD_NOT_BUILD_CLI_COMMAND

See Also:
  Constant Field Values

### SYSTEM_COMMAND_FAULT_COULD_NOT_ISSUE_CLI_COMMAND

    static final int SYSTEM_COMMAND_FAULT_COULD_NOT_ISSUE_CLI_COMMAND

See Also:
  Constant Field Values

### SYSTEM_LOADER_FAULT

    static final int SYSTEM_LOADER_FAULT

See Also:
  Constant Field Values

### SYSTEM_LOADER_FAULT_BAD_CONFIG

    static final int SYSTEM_LOADER_FAULT_BAD_CONFIG

See Also:
  Constant Field Values

### SYSTEM_LOADER_FAULT_DUPLICATE_CONFIG

    static final int SYSTEM_LOADER_FAULT_DUPLICATE_CONFIG

See Also:
  Constant Field Values

### SYSTEM_LOADER_FAULT_COMPILER_FAILED

    static final int SYSTEM_LOADER_FAULT_COMPILER_FAILED

See Also:
  Constant Field Values

### UNIVERSE_FAULT_DEFAULT

    static final int UNIVERSE_FAULT_DEFAULT

See Also:
  Constant Field Values

### UNIVERSE_FAULT_BAD_CALL

    static final int UNIVERSE_FAULT_BAD_CALL

See Also:
  Constant Field Values

### UNIVERSE_FAULT_UNEXPECTED

    static final int UNIVERSE_FAULT_UNEXPECTED

See Also:
  Constant Field Values

### UNIVERSE_FAULT_NAMING_FAILED

    static final int UNIVERSE_FAULT_NAMING_FAILED

See Also:
  Constant Field Values

### UNIVERSE_FAULT_NOT_REGISTERED

    static final int UNIVERSE_FAULT_NOT_REGISTERED

See Also:
  Constant Field Values

### UNIVERSE_FAULT_LOCAL_MANAGEMENT

    static final int UNIVERSE_FAULT_LOCAL_MANAGEMENT

See Also:
  Constant Field Values

### UNIVERSE_FAULT_LOCAL_PATH_MANAGEMENT

    static final int UNIVERSE_FAULT_LOCAL_PATH_MANAGEMENT

See Also:
  Constant Field Values

### UNIVERSE_FAULT_COULD_NOT_ACCESS

    static final int UNIVERSE_FAULT_COULD_NOT_ACCESS

See Also:
  Constant Field Values

### UNIVERSE_FAULT_ACCESSOR_PROBLEM

    static final int UNIVERSE_FAULT_ACCESSOR_PROBLEM

See Also:
  Constant Field Values

### SYSTEM_FAULT_SERVICE_GERERAL

    static final int SYSTEM_FAULT_SERVICE_GERERAL

See Also:
  Constant Field Values

### SYSTEM_FAULT_SERVICE_FAILED_TO_CONSTRUCT

    static final int SYSTEM_FAULT_SERVICE_FAILED_TO_CONSTRUCT

See Also:
  Constant Field Values

### SYSTEM_FAULT_SERVICE_PROBLEM

    static final int SYSTEM_FAULT_SERVICE_PROBLEM

See Also:
  Constant Field Values

### CONFIGURATION_FAULT_DEFAULT

    static final int CONFIGURATION_FAULT_DEFAULT

See Also:
  Constant Field Values

### SYSTEM_FAULT_DATA_DEFAULT

    static final int SYSTEM_FAULT_DATA_DEFAULT

See Also:
  Constant Field Values

### SYSTEM_FAULT_DATA_VIOLATE_NATIVE

    static final int SYSTEM_FAULT_DATA_VIOLATE_NATIVE

See Also:
  Constant Field Values

### SYSTEM_FAULT_TEST_SUITE

    static final int SYSTEM_FAULT_TEST_SUITE

See Also:
  Constant Field Values

### SYSTEM_FAULT_THING_PROBLEM

    static final int SYSTEM_FAULT_THING_PROBLEM

See Also:
  Constant Field Values

### SYSTEM_FAULT_THING_RESULT_BAD

    static final int SYSTEM_FAULT_THING_RESULT_BAD

See Also:
  Constant Field Values

### SYSTEM_FAULT_THING_RESULT_MISUSED

    static final int SYSTEM_FAULT_THING_RESULT_MISUSED

See Also:
  Constant Field Values

### SYSTEM_FAULT_THING_FAILED_INIT

    static final int SYSTEM_FAULT_THING_FAILED_INIT

See Also:
  Constant Field Values

### SYSTEM_FAULT_THING_FAULT

    static final int SYSTEM_FAULT_THING_FAULT

See Also:
  Constant Field Values

### SYSTEM_FAULT_THING_SPURIOUS_EXCEPTION

    static final int SYSTEM_FAULT_THING_SPURIOUS_EXCEPTION

See Also:
  Constant Field Values

### SYSTEM_FAULT_THING_CONSTRUCTION_SPURIOUS_EXCEPTION

    static final int SYSTEM_FAULT_THING_CONSTRUCTION_SPURIOUS_EXCEPTION

See Also:
  Constant Field Values

### SYSTEM_FAULT_THING_CONSTRUCTION_NULLED

    static final int SYSTEM_FAULT_THING_CONSTRUCTION_NULLED

See Also:
  Constant Field Values

### SYSTEM_FAULT_THING_CONSTRUCTION_BAD_CLASS

    static final int SYSTEM_FAULT_THING_CONSTRUCTION_BAD_CLASS

See Also:
  Constant Field Values

### SYSTEM_FAULT_THING_FAILED_DEFINITION

    static final int SYSTEM_FAULT_THING_FAILED_DEFINITION

See Also:
  Constant Field Values

### SYSTEM_FAULT_FAILED_INIT

    static final int SYSTEM_FAULT_FAILED_INIT

See Also:
  Constant Field Values

### SYSTEM_FAULT_SOFTWARE_PROCESS_DISALLOWED

    static final int SYSTEM_FAULT_SOFTWARE_PROCESS_DISALLOWED

See Also:
  Constant Field Values

### SYSTEM_FAULT_SOFTWARE_PROBLEM

    static final int SYSTEM_FAULT_SOFTWARE_PROBLEM

See Also:
  Constant Field Values

### SYSTEM_FAULT_SOFTWARE_DETECTED

    static final int SYSTEM_FAULT_SOFTWARE_DETECTED

See Also:
  Constant Field Values

### THING_FAULT_MODULE_DEFAULT

    static final int THING_FAULT_MODULE_DEFAULT

See Also:
  Constant Field Values

### THING_FAULT_COMMANDLINE_BAD_DECLARATION

    static final int THING_FAULT_COMMANDLINE_BAD_DECLARATION

See Also:
  Constant Field Values

### THING_FAULT_COMMANDLINE_NOT_DECLARED

    static final int THING_FAULT_COMMANDLINE_NOT_DECLARED

See Also:
  Constant Field Values

### THING_FAULT_COMMANDLINE_PROCESSOR_STARTUP

    static final int THING_FAULT_COMMANDLINE_PROCESSOR_STARTUP

See Also:
  Constant Field Values

### THING_FAULT_RESULT_MANAGEMENT

    static final int THING_FAULT_RESULT_MANAGEMENT

See Also:
  Constant Field Values

### THING_FAULT_RESULT_COLLECTION

    static final int THING_FAULT_RESULT_COLLECTION

See Also:
  Constant Field Values

### MODULE_FAULT_NULL_PARAMETER

    static final int MODULE_FAULT_NULL_PARAMETER

See Also:
  Constant Field Values

### MODULE_FAULT_BAD_USAGE

    static final int MODULE_FAULT_BAD_USAGE

See Also:
  Constant Field Values

### MODULE_FAULT_FAILED_INIT

    static final int MODULE_FAULT_FAILED_INIT

See Also:
  Constant Field Values

### GENERAL_PARSER_FAULT

    static final int GENERAL_PARSER_FAULT

See Also:
  Constant Field Values

### PROCESSING_FAULT

    static final int PROCESSING_FAULT

See Also:
  Constant Field Values

### PROCESSING_FAULT_MATCHER

    static final int PROCESSING_FAULT_MATCHER

See Also:
  Constant Field Values

### PROCESSING_FAULT_HTTP

    static final int PROCESSING_FAULT_HTTP

See Also:
  Constant Field Values

### SERVICE_FAULT_HTTPTOOL

    static final int SERVICE_FAULT_HTTPTOOL

See Also:
  Constant Field Values

### SERVICE_FAULT_HTTPTOOL_SPURIOUS

    static final int SERVICE_FAULT_HTTPTOOL_SPURIOUS

See Also:
  Constant Field Values

### SERVICE_FAULT_HTTPTOOL_STOCK_SETUP

    static final int SERVICE_FAULT_HTTPTOOL_STOCK_SETUP

See Also:
  Constant Field Values

### SMTPCLIENT_FAULT_GENERAL

    static final int SMTPCLIENT_FAULT_GENERAL

See Also:
  Constant Field Values

### SMTPCLIENT_FAULT_STARTUP

    static final int SMTPCLIENT_FAULT_STARTUP

See Also:
  Constant Field Values

### SMTPCLIENT_FAULT_NOT_STARTED

    static final int SMTPCLIENT_FAULT_NOT_STARTED

See Also:
  Constant Field Values

### SMTPCLIENT_FAULT_BAD_STATE

    static final int SMTPCLIENT_FAULT_BAD_STATE

See Also:
  Constant Field Values

### SMTPCLIENT_FAULT_SPURIOUS

    static final int SMTPCLIENT_FAULT_SPURIOUS

See Also:
  Constant Field Values

### SMTPCLIENT_FAULT_CANNOT_CONNECT

    static final int SMTPCLIENT_FAULT_CANNOT_CONNECT

See Also:
  Constant Field Values

### SMTPCLIENT_FAULT_CANNOT_COMPLETE

    static final int SMTPCLIENT_FAULT_CANNOT_COMPLETE

See Also:
  Constant Field Values

### SMTPCLIENT_FAULT_CANNOT_COMPLETE_NOT_RETRYABLE

    static final int SMTPCLIENT_FAULT_CANNOT_COMPLETE_NOT_RETRYABLE

See Also:
  Constant Field Values

### ACTORSERVICE_FAULT

    static final int ACTORSERVICE_FAULT

See Also:
  Constant Field Values

### ACTORSERVICE_FAULT_BAD_MESSAGE

    static final int ACTORSERVICE_FAULT_BAD_MESSAGE

See Also:
  Constant Field Values

### ACTORSERVICE_FAULT_BAD_USAGE

    static final int ACTORSERVICE_FAULT_BAD_USAGE

See Also:
  Constant Field Values

### ACTORSERVICE_FAULT_BAD_MESSAGE_FIELD

    static final int ACTORSERVICE_FAULT_BAD_MESSAGE_FIELD

See Also:
  Constant Field Values

### ACTORSERVICE_FAULT_STARTUP

    static final int ACTORSERVICE_FAULT_STARTUP

See Also:
  Constant Field Values

### ACTORSERVICE_FAULT_MESSAGE

    static final int ACTORSERVICE_FAULT_MESSAGE

See Also:
  Constant Field Values

### DECOMPOSER_FAULT

    static final int DECOMPOSER_FAULT

See Also:
  Constant Field Values

### PROXY_FAULT

    static final int PROXY_FAULT

See Also:
  Constant Field Values

### PROXY_FAULT_SOCKET_PREPARE

    static final int PROXY_FAULT_SOCKET_PREPARE

See Also:
  Constant Field Values

### PROXY_FAULT_SESSION

    static final int PROXY_FAULT_SESSION

See Also:
  Constant Field Values

### THING_FAULT_DEFAULT

    static final int THING_FAULT_DEFAULT

See Also:
  Constant Field Values

### THING_FAULT_DEFINITION

    static final int THING_FAULT_DEFINITION

See Also:
  Constant Field Values

### THING_FAULT_DEFINITION_ALREADY_NAMED

    static final int THING_FAULT_DEFINITION_ALREADY_NAMED

See Also:
  Constant Field Values

### THING_FAULT_DEFINITION_BAD

    static final int THING_FAULT_DEFINITION_BAD

See Also:
  Constant Field Values

### THING_FAULT_RESULT_FUNDIMENTAL

    static final int THING_FAULT_RESULT_FUNDIMENTAL

See Also:
  Constant Field Values

### THING_FAULT_SERVICE_COULD_NOT_GET_UNIVERSE

    static final int THING_FAULT_SERVICE_COULD_NOT_GET_UNIVERSE

See Also:
  Constant Field Values

### THING_FAULT_SERVICE_COULD_NOT_GET_UNIVERSE_ACCESSOR

    static final int THING_FAULT_SERVICE_COULD_NOT_GET_UNIVERSE_ACCESSOR

See Also:
  Constant Field Values

### USER_FAULT_RESERVED_END

    static final int USER_FAULT_RESERVED_END

See Also:
  Constant Field Values

### FAULT_TOP

    static final int FAULT_TOP

See Also:
  Constant Field Values

### ERROR

    static final int ERROR

See Also:
  Constant Field Values

### SYSTEM_ERROR

    static final int SYSTEM_ERROR

See Also:
  Constant Field Values

### SYSTEM_ERROR_COMPONENT_INTERRUPTED

    static final int SYSTEM_ERROR_COMPONENT_INTERRUPTED

See Also:
  Constant Field Values

### SYSTEM_ERROR_TOP

    static final int SYSTEM_ERROR_TOP

See Also:
  Constant Field Values

### FILESYSTEM_ERROR_DEFAULT

    static final int FILESYSTEM_ERROR_DEFAULT

See Also:
  Constant Field Values

### FILESYSTEM_ERROR_NOT_A_KNOWN_TYPE

    static final int FILESYSTEM_ERROR_NOT_A_KNOWN_TYPE

See Also:
  Constant Field Values

### FILESYSTEM_ERROR_BAD_PATH

    static final int FILESYSTEM_ERROR_BAD_PATH

See Also:
  Constant Field Values

### FILESYSTEM_ERROR_FILE_NOT_FOUND

    static final int FILESYSTEM_ERROR_FILE_NOT_FOUND

See Also:
  Constant Field Values

### FILESYSTEM_ERROR_ACCESS_DENIED

    static final int FILESYSTEM_ERROR_ACCESS_DENIED

See Also:
  Constant Field Values

### FILESYSTEM_ERROR_FILE_WONT_DELETE

    static final int FILESYSTEM_ERROR_FILE_WONT_DELETE

See Also:
  Constant Field Values

### FILESYSTEM_ERROR_CONFUSED

    static final int FILESYSTEM_ERROR_CONFUSED

See Also:
  Constant Field Values

### FILESYSTEM_ERROR_FAILED_DIRECTORY_OPERATION

    static final int FILESYSTEM_ERROR_FAILED_DIRECTORY_OPERATION

See Also:
  Constant Field Values

### FILESYSTEM_ERROR_COULD_NOT_DELETE

    static final int FILESYSTEM_ERROR_COULD_NOT_DELETE

See Also:
  Constant Field Values

### FILESYSTEM_ERROR_COULD_NOT_REPLACE

    static final int FILESYSTEM_ERROR_COULD_NOT_REPLACE

See Also:
  Constant Field Values

### FILESYSTEM_ERROR_DELETE_FAILED

    static final int FILESYSTEM_ERROR_DELETE_FAILED

See Also:
  Constant Field Values

### PROCESS_ERROR_DEFAULT

    static final int PROCESS_ERROR_DEFAULT

See Also:
  Constant Field Values

### PROCESS_ERROR_ID_NULL

    static final int PROCESS_ERROR_ID_NULL

See Also:
  Constant Field Values

### PROCESS_ERROR_NOT_FOUND

    static final int PROCESS_ERROR_NOT_FOUND

See Also:
  Constant Field Values

### PROCESS_ERROR_BAD_CALL

    static final int PROCESS_ERROR_BAD_CALL

See Also:
  Constant Field Values

### PROCESS_ERROR_FINALIZATION_FAILED

    static final int PROCESS_ERROR_FINALIZATION_FAILED

See Also:
  Constant Field Values

### PROCESS_ERROR_PROCESS

    static final int PROCESS_ERROR_PROCESS

See Also:
  Constant Field Values

### PROCESS_ERROR_CREDENTIAL_FAILED

    static final int PROCESS_ERROR_CREDENTIAL_FAILED

See Also:
  Constant Field Values

### PROCESSING_ERROR_GENERAL

    static final int PROCESSING_ERROR_GENERAL

See Also:
  Constant Field Values

### PROCESSING_ERROR_TEXT_GENERAL

    static final int PROCESSING_ERROR_TEXT_GENERAL

See Also:
  Constant Field Values

### PROCESSING_ERROR_MERGE

    static final int PROCESSING_ERROR_MERGE

See Also:
  Constant Field Values

### PROCESSING_ERROR_MERGE_INCOMPLETE

    static final int PROCESSING_ERROR_MERGE_INCOMPLETE

See Also:
  Constant Field Values

### PROCESSING_ERROR_SETUP

    static final int PROCESSING_ERROR_SETUP

See Also:
  Constant Field Values

### PROCESSING_ERROR_DEFINITION

    static final int PROCESSING_ERROR_DEFINITION

See Also:
  Constant Field Values

### IO_CONDUIT_ERROR_POSTED_TO_NO_DRAINS

    static final int IO_CONDUIT_ERROR_POSTED_TO_NO_DRAINS

See Also:
  Constant Field Values

### UNIVERSE_ERROR_DEFAULT

    static final int UNIVERSE_ERROR_DEFAULT

See Also:
  Constant Field Values

### UNIVERSE_ERROR_REGISTRATION_BAD

    static final int UNIVERSE_ERROR_REGISTRATION_BAD

See Also:
  Constant Field Values

### UNIVERSE_ERROR_REGISTRATION_NOT_ALLOWED

    static final int UNIVERSE_ERROR_REGISTRATION_NOT_ALLOWED

See Also:
  Constant Field Values

### UNIVERSE_ERROR_REGISTRATION_DUPLICATE

    static final int UNIVERSE_ERROR_REGISTRATION_DUPLICATE

See Also:
  Constant Field Values

### UNIVERSE_ERROR_CONFIG_MISSING_REQUIRED

    static final int UNIVERSE_ERROR_CONFIG_MISSING_REQUIRED

See Also:
  Constant Field Values

### UNIVERSE_ERROR_CONFIG_BAD_REQUIRED

    static final int UNIVERSE_ERROR_CONFIG_BAD_REQUIRED

See Also:
  Constant Field Values

### UNIVERSE_ERROR_CONFIG_BAD_VALUE

    static final int UNIVERSE_ERROR_CONFIG_BAD_VALUE

See Also:
  Constant Field Values

### UNIVERSE_ERROR_BAD_KEY

    static final int UNIVERSE_ERROR_BAD_KEY

See Also:
  Constant Field Values

### UNIVERSE_ERROR_OBJECT_LOCKED

    static final int UNIVERSE_ERROR_OBJECT_LOCKED

See Also:
  Constant Field Values

### UNIVERSE_ERROR_DELETE_FAILED

    static final int UNIVERSE_ERROR_DELETE_FAILED

See Also:
  Constant Field Values

### UNIVERSE_ERROR_OBJECT_DOESNT_EXIST

    static final int UNIVERSE_ERROR_OBJECT_DOESNT_EXIST

See Also:
  Constant Field Values

### UNIVERSE_ERROR_IO_PROBLEM

    static final int UNIVERSE_ERROR_IO_PROBLEM

See Also:
  Constant Field Values

### UNIVERSE_ERROR_DISALLOWED_NAME

    static final int UNIVERSE_ERROR_DISALLOWED_NAME

See Also:
  Constant Field Values

### UNIVERSE_ERROR_EMPTY_NAME

    static final int UNIVERSE_ERROR_EMPTY_NAME

See Also:
  Constant Field Values

### UNIVERSE_ERROR_GET_MODIFIED_DATE_FAILED

    static final int UNIVERSE_ERROR_GET_MODIFIED_DATE_FAILED

See Also:
  Constant Field Values

### UNIVERSE_ERROR_GET_MATCHES

    static final int UNIVERSE_ERROR_GET_MATCHES

See Also:
  Constant Field Values

### TEST_ERROR_DEFAULT

    static final int TEST_ERROR_DEFAULT

See Also:
  Constant Field Values

### TEST_ERROR_COULD_NOT_PREP_TEST

    static final int TEST_ERROR_COULD_NOT_PREP_TEST

See Also:
  Constant Field Values

### TEST_ERROR_TEST_IMPL_PROBLEM

    static final int TEST_ERROR_TEST_IMPL_PROBLEM

See Also:
  Constant Field Values

### TEST_ERROR_FAIL

    static final int TEST_ERROR_FAIL

See Also:
  Constant Field Values

### TEST_ERROR_ABORT

    static final int TEST_ERROR_ABORT

See Also:
  Constant Field Values

### TEST_ERROR_GROUP_ERROR

    static final int TEST_ERROR_GROUP_ERROR

See Also:
  Constant Field Values

### CONFIGURATION_FAILED_DEFAULT

    static final int CONFIGURATION_FAILED_DEFAULT

See Also:
  Constant Field Values

### CONFIGURATION_FAILED_CHECKPOINT

    static final int CONFIGURATION_FAILED_CHECKPOINT

See Also:
  Constant Field Values

### CONFIGURATION_ERROR_BAD_CONFIGURATION

    static final int CONFIGURATION_ERROR_BAD_CONFIGURATION

See Also:
  Constant Field Values

### SYSTEM_COMMAND_ERROR_GENERAL

    static final int SYSTEM_COMMAND_ERROR_GENERAL

See Also:
  Constant Field Values

### SYSTEM_COMMAND_ERROR_MALFORMED

    static final int SYSTEM_COMMAND_ERROR_MALFORMED

See Also:
  Constant Field Values

### SYSTEM_COMMAND_ERROR_BAD_PROCESSING

    static final int SYSTEM_COMMAND_ERROR_BAD_PROCESSING

See Also:
  Constant Field Values

### SYSTEM_COMMAND_ERROR_ALREADY_RESPONDED

    static final int SYSTEM_COMMAND_ERROR_ALREADY_RESPONDED

See Also:
  Constant Field Values

### SYSTEM_COMMAND_ERROR_BAD_PARAMETER

    static final int SYSTEM_COMMAND_ERROR_BAD_PARAMETER

See Also:
  Constant Field Values

### SYSTEM_COMMAND_ERROR_BAD_DECLARATION

    static final int SYSTEM_COMMAND_ERROR_BAD_DECLARATION

See Also:
  Constant Field Values

### SYSTEM_COMMAND_ERROR_NULL_PARAMETER_NAME

    static final int SYSTEM_COMMAND_ERROR_NULL_PARAMETER_NAME

See Also:
  Constant Field Values

### SYSTEM_COMMAND_ERROR_TYPE_VIOLATION

    static final int SYSTEM_COMMAND_ERROR_TYPE_VIOLATION

See Also:
  Constant Field Values

### SYSTEM_COMMAND_ERROR_SET_FAILED

    static final int SYSTEM_COMMAND_ERROR_SET_FAILED

See Also:
  Constant Field Values

### SYSTEM_COMMAND_ERROR_INSTANCE_MISSING_REQUIRED_PARAMETER

    static final int SYSTEM_COMMAND_ERROR_INSTANCE_MISSING_REQUIRED_PARAMETER

See Also:
  Constant Field Values

### SYSTEM_COMMAND_ERROR_NOT_DECLARED

    static final int SYSTEM_COMMAND_ERROR_NOT_DECLARED

See Also:
  Constant Field Values

### SYSTEM_COMMAND_ERROR_NULL_COMMAND

    static final int SYSTEM_COMMAND_ERROR_NULL_COMMAND

See Also:
  Constant Field Values

### SYSTEM_COMMAND_ERROR_NULL_RESPONSE_RECEIPT

    static final int SYSTEM_COMMAND_ERROR_NULL_RESPONSE_RECEIPT

See Also:
  Constant Field Values

### SYSTEM_COMMAND_ERROR_ISSUANCE_FAILED

    static final int SYSTEM_COMMAND_ERROR_ISSUANCE_FAILED

See Also:
  Constant Field Values

### SYSTEM_COMMAND_ERROR_ISSUANCE_NO_RECEIPTS

    static final int SYSTEM_COMMAND_ERROR_ISSUANCE_NO_RECEIPTS

See Also:
  Constant Field Values

### SYSTEM_COMMAND_ERROR_COMMAND_RESPONSE_PROCESSING

    static final int SYSTEM_COMMAND_ERROR_COMMAND_RESPONSE_PROCESSING

See Also:
  Constant Field Values

### SYSTEM_COMMAND_ERROR_COMMAND_NOT_FOUND

    static final int SYSTEM_COMMAND_ERROR_COMMAND_NOT_FOUND

See Also:
  Constant Field Values

### SYSTEM_COMMAND_ERROR_COMMAND_ALREADY_DONE

    static final int SYSTEM_COMMAND_ERROR_COMMAND_ALREADY_DONE

See Also:
  Constant Field Values

### SYSTEM_COMMAND_ERROR_OCCURANCE_VIOLATION

    static final int SYSTEM_COMMAND_ERROR_OCCURANCE_VIOLATION

See Also:
  Constant Field Values

### SYSTEM_COMMAND_ERROR_OCCURANCE_VIOLATION_NEVER

    static final int SYSTEM_COMMAND_ERROR_OCCURANCE_VIOLATION_NEVER

See Also:
  Constant Field Values

### SYSTEM_COMMAND_ERROR_OCCURANCE_VIOLATION_ONLYONE

    static final int SYSTEM_COMMAND_ERROR_OCCURANCE_VIOLATION_ONLYONE

See Also:
  Constant Field Values

### SYSTEM_COMMAND_ERROR_DATATYPE_VIOLATION_VALUE

    static final int SYSTEM_COMMAND_ERROR_DATATYPE_VIOLATION_VALUE

See Also:
  Constant Field Values

### SYSTEM_COMMAND_ERROR_PARAMETER_NOT_DEFINED

    static final int SYSTEM_COMMAND_ERROR_PARAMETER_NOT_DEFINED

See Also:
  Constant Field Values

### SYSTEM_COMMAND_ERROR_RESPONSE_NOT_DEFINED

    static final int SYSTEM_COMMAND_ERROR_RESPONSE_NOT_DEFINED

See Also:
  Constant Field Values

### SYSTEM_COMMAND_ERROR_PROPERTY_PROBLEM

    static final int SYSTEM_COMMAND_ERROR_PROPERTY_PROBLEM

See Also:
  Constant Field Values

### SYSTEM_COMMAND_ERROR_OPERATION_FAILED

    static final int SYSTEM_COMMAND_ERROR_OPERATION_FAILED

See Also:
  Constant Field Values

### SYSTEM_ERROR_BAD_PROPERTY

    static final int SYSTEM_ERROR_BAD_PROPERTY

See Also:
  Constant Field Values

### SYSTEM_ERROR_BAD_PROPERTY_TEXT

    static final int SYSTEM_ERROR_BAD_PROPERTY_TEXT

See Also:
  Constant Field Values

### SYSTEM_ERROR_BAD_PROPERTY_NAME_NULL

    static final int SYSTEM_ERROR_BAD_PROPERTY_NAME_NULL

See Also:
  Constant Field Values

### SYSTEM_ERROR_REQUIRED_PROPERTY_NOT_SET

    static final int SYSTEM_ERROR_REQUIRED_PROPERTY_NOT_SET

See Also:
  Constant Field Values

### SYSTEM_ERROR_REQUIRED_PROPERTY_NOT_SINGLE

    static final int SYSTEM_ERROR_REQUIRED_PROPERTY_NOT_SINGLE

See Also:
  Constant Field Values

### SYSTEM_ERROR_OPTIONAL_PROPERTY_NOT_SINGLE

    static final int SYSTEM_ERROR_OPTIONAL_PROPERTY_NOT_SINGLE

See Also:
  Constant Field Values

### SYSTEM_ERROR_BAD_PROPERTY_NOT_DEFINED

    static final int SYSTEM_ERROR_BAD_PROPERTY_NOT_DEFINED

See Also:
  Constant Field Values

### SYSTEM_ERROR_BAD_PROPERTY_WRITE

    static final int SYSTEM_ERROR_BAD_PROPERTY_WRITE

See Also:
  Constant Field Values

### SYSTEM_ERROR_REQUIRED_PROPERTY_NOT_AN_INTEGER

    static final int SYSTEM_ERROR_REQUIRED_PROPERTY_NOT_AN_INTEGER

See Also:
  Constant Field Values

### SYSTEM_ERROR_MESSAGE_ENCODING_FAILED

    static final int SYSTEM_ERROR_MESSAGE_ENCODING_FAILED

See Also:
  Constant Field Values

### SYSTEM_ERROR_ATTRIBUTE_CODEC_FAILED

    static final int SYSTEM_ERROR_ATTRIBUTE_CODEC_FAILED

See Also:
  Constant Field Values

### SYSTEM_ERROR_LOGGING_FAILED

    static final int SYSTEM_ERROR_LOGGING_FAILED

See Also:
  Constant Field Values

### SYSTEM_ERROR_LOGGING_FAILED_ON_CONDUIT

    static final int SYSTEM_ERROR_LOGGING_FAILED_ON_CONDUIT

See Also:
  Constant Field Values

### SYSTEM_ERROR_LOGGING_FAILED_ON_RESOURCE_NOT_READY

    static final int SYSTEM_ERROR_LOGGING_FAILED_ON_RESOURCE_NOT_READY

See Also:
  Constant Field Values

### SYSTEM_ERROR_LOGGING_LOG_LEVEL_INVALID

    static final int SYSTEM_ERROR_LOGGING_LOG_LEVEL_INVALID

See Also:
  Constant Field Values

### SYSTEM_ERROR_LOGGING_LOGGER_ALREADY_ISSUED

    static final int SYSTEM_ERROR_LOGGING_LOGGER_ALREADY_ISSUED

See Also:
  Constant Field Values

### RESOURCE_ERROR_GENERAL

    static final int RESOURCE_ERROR_GENERAL

See Also:
  Constant Field Values

### RESOURCE_ERROR_ALREADY_DISPOSED

    static final int RESOURCE_ERROR_ALREADY_DISPOSED

See Also:
  Constant Field Values

### RESOURCE_ERROR_ALREADY_REGISTERED

    static final int RESOURCE_ERROR_ALREADY_REGISTERED

See Also:
  Constant Field Values

### RESOURCE_ERROR_BAD_REGISTRATION

    static final int RESOURCE_ERROR_BAD_REGISTRATION

See Also:
  Constant Field Values

### RESOURCE_ERROR_IDNAMED_USED

    static final int RESOURCE_ERROR_IDNAMED_USED

See Also:
  Constant Field Values

### RESOURCE_ERROR_DURING_REGISTRATION

    static final int RESOURCE_ERROR_DURING_REGISTRATION

See Also:
  Constant Field Values

### RESOURCE_ERROR_DURING_LOOKUP

    static final int RESOURCE_ERROR_DURING_LOOKUP

See Also:
  Constant Field Values

### RESOURCE_ERROR_RESOURCE_NOT_REGISTERED

    static final int RESOURCE_ERROR_RESOURCE_NOT_REGISTERED

See Also:
  Constant Field Values

### SYSTEM_INFRA_ERROR

    static final int SYSTEM_INFRA_ERROR

See Also:
  Constant Field Values

### SYSTEM_INFRA_ATTR_CODEC

    static final int SYSTEM_INFRA_ATTR_CODEC

See Also:
  Constant Field Values

### SYSTEM_INFRA_BAD_DATA

    static final int SYSTEM_INFRA_BAD_DATA

See Also:
  Constant Field Values

### SYSTEM_INFRA_BAD_DATA_ODD

    static final int SYSTEM_INFRA_BAD_DATA_ODD

See Also:
  Constant Field Values

### SYSTEM_INFRA_NULLED_DATA

    static final int SYSTEM_INFRA_NULLED_DATA

See Also:
  Constant Field Values

### SYSTEM_CALL_ERROR_GENERAL

    static final int SYSTEM_CALL_ERROR_GENERAL

See Also:
  Constant Field Values

### SYSTEM_CALL_ERROR_BAD_CALL

    static final int SYSTEM_CALL_ERROR_BAD_CALL

See Also:
  Constant Field Values

### SYSTEM_CALL_ERROR_GET_SYSTEM_LOGGER

    static final int SYSTEM_CALL_ERROR_GET_SYSTEM_LOGGER

See Also:
  Constant Field Values

### SYSTEM_CALL_ERROR_GET_LOCAL_PROPERTIES

    static final int SYSTEM_CALL_ERROR_GET_LOCAL_PROPERTIES

See Also:
  Constant Field Values

### SYSTEM_CALL_ERROR_GET_CONFIG_PROPERTIES

    static final int SYSTEM_CALL_ERROR_GET_CONFIG_PROPERTIES

See Also:
  Constant Field Values

### SYSTEM_CALL_ERROR_RUN_THING

    static final int SYSTEM_CALL_ERROR_RUN_THING

See Also:
  Constant Field Values

### SYSTEM_CALL_ERROR_LOAD_THING

    static final int SYSTEM_CALL_ERROR_LOAD_THING

See Also:
  Constant Field Values

### SYSTEM_CALL_ERROR_LOAD_MODULE

    static final int SYSTEM_CALL_ERROR_LOAD_MODULE

See Also:
  Constant Field Values

### SYSTEM_CALL_ERROR_GET_EXPRESSOR

    static final int SYSTEM_CALL_ERROR_GET_EXPRESSOR

See Also:
  Constant Field Values

### SYSTEM_CALL_ERROR_GET_LOCAL_LOG

    static final int SYSTEM_CALL_ERROR_GET_LOCAL_LOG

See Also:
  Constant Field Values

### SYSTEM_LOADER_ERROR_CANT_FIND_THING

    static final int SYSTEM_LOADER_ERROR_CANT_FIND_THING

See Also:
  Constant Field Values

### SYSTEM_LOADER_ERROR_UNIVERSE_PROBLEM

    static final int SYSTEM_LOADER_ERROR_UNIVERSE_PROBLEM

See Also:
  Constant Field Values

### SYSTEM_LOADER_ERROR_BAD_THING_NAME

    static final int SYSTEM_LOADER_ERROR_BAD_THING_NAME

See Also:
  Constant Field Values

### SYSTEM_LOADER_ERROR_COMPILE_ERRORS

    static final int SYSTEM_LOADER_ERROR_COMPILE_ERRORS

See Also:
  Constant Field Values

### SYSTEM_LOADER_ERROR_COULD_NOT_LOAD

    static final int SYSTEM_LOADER_ERROR_COULD_NOT_LOAD

See Also:
  Constant Field Values

### SYSTEM_SERVICE_ERROR_COMMAND_GENERAL

    static final int SYSTEM_SERVICE_ERROR_COMMAND_GENERAL

See Also:
  Constant Field Values

### SYSTEM_SERVICE_ERROR_COMMAND_MALFORMED

    static final int SYSTEM_SERVICE_ERROR_COMMAND_MALFORMED

See Also:
  Constant Field Values

### DATA_ERROR_GENERAL

    static final int DATA_ERROR_GENERAL

See Also:
  Constant Field Values

### DATA_ERROR_INDEX_OUTOFBOUNDS

    static final int DATA_ERROR_INDEX_OUTOFBOUNDS

See Also:
  Constant Field Values

### DATA_ATTRIBUTE_OBJECT_NULL

    static final int DATA_ATTRIBUTE_OBJECT_NULL

See Also:
  Constant Field Values

### DATA_ERROR_PROPERTY_PATH_NULL

    static final int DATA_ERROR_PROPERTY_PATH_NULL

See Also:
  Constant Field Values

### DATA_ERROR_PROPERTY_VALUE_NULL

    static final int DATA_ERROR_PROPERTY_VALUE_NULL

See Also:
  Constant Field Values

### DATA_ERROR_PATH_NULL

    static final int DATA_ERROR_PATH_NULL

See Also:
  Constant Field Values

### DATA_ERROR_PROPERTY_ENCODING_PROBLEM

    static final int DATA_ERROR_PROPERTY_ENCODING_PROBLEM

See Also:
  Constant Field Values

### DATA_ERROR_PROPERTY_DECODING_PROBLEM

    static final int DATA_ERROR_PROPERTY_DECODING_PROBLEM

See Also:
  Constant Field Values

### DATA_ERROR_PARSING_ERROR

    static final int DATA_ERROR_PARSING_ERROR

See Also:
  Constant Field Values

### DATA_ERROR_CANNOT_BE_NULL_OR_EMPTY

    static final int DATA_ERROR_CANNOT_BE_NULL_OR_EMPTY

See Also:
  Constant Field Values

### DATA_ERROR_BRANCH_PROCESSING_ERROR

    static final int DATA_ERROR_BRANCH_PROCESSING_ERROR

See Also:
  Constant Field Values

### DATA_ERROR_PROPERTY_EMPTY_PLY

    static final int DATA_ERROR_PROPERTY_EMPTY_PLY

See Also:
  Constant Field Values

### DATA_ERROR_PROPERTY_BAD_PLY

    static final int DATA_ERROR_PROPERTY_BAD_PLY

See Also:
  Constant Field Values

### DATA_ERROR_PROPERTY_FAILED_VALIDATION

    static final int DATA_ERROR_PROPERTY_FAILED_VALIDATION

See Also:
  Constant Field Values

### DATA_ERROR_EXPECTED_NUMBER

    static final int DATA_ERROR_EXPECTED_NUMBER

See Also:
  Constant Field Values

### DATA_ERROR_BAD_DATE_FORMAT

    static final int DATA_ERROR_BAD_DATE_FORMAT

See Also:
  Constant Field Values

### DATA_ERROR_MATCHER_GENERAL

    static final int DATA_ERROR_MATCHER_GENERAL

See Also:
  Constant Field Values

### DATA_ERROR_MATCHER_CANNOT_ADD

    static final int DATA_ERROR_MATCHER_CANNOT_ADD

See Also:
  Constant Field Values

### DATA_ERROR_MATCHER_PATTERN_NOT_ADDED

    static final int DATA_ERROR_MATCHER_PATTERN_NOT_ADDED

See Also:
  Constant Field Values

### DATA_ERROR_MATCHER_FAILED

    static final int DATA_ERROR_MATCHER_FAILED

See Also:
  Constant Field Values

### KERNEL_ERROR_DEATH_NOTICE_FAILED

    static final int KERNEL_ERROR_DEATH_NOTICE_FAILED

See Also:
  Constant Field Values

### VERBOSE_FAILED_TO_START

    static final int VERBOSE_FAILED_TO_START

See Also:
  Constant Field Values

### ACCESS_ERROR_NULL_ITEM

    static final int ACCESS_ERROR_NULL_ITEM

See Also:
  Constant Field Values

### ACCESS_ERROR_CONCURRENT_NOT_ALLOWED

    static final int ACCESS_ERROR_CONCURRENT_NOT_ALLOWED

See Also:
  Constant Field Values

### ACCESS_ERROR_CANNOT_OPEN

    static final int ACCESS_ERROR_CANNOT_OPEN

See Also:
  Constant Field Values

### ACCESS_ERROR_STREAM_NOT_RECOGNIZED

    static final int ACCESS_ERROR_STREAM_NOT_RECOGNIZED

See Also:
  Constant Field Values

### ERROR_THING_ERROR

    static final int ERROR_THING_ERROR

See Also:
  Constant Field Values

### ERROR_THING_RESULT_NOT_DEFINED

    static final int ERROR_THING_RESULT_NOT_DEFINED

See Also:
  Constant Field Values

### ERROR_THING_RESULT_CALCULATION_FAILED

    static final int ERROR_THING_RESULT_CALCULATION_FAILED

See Also:
  Constant Field Values

### ERROR_THING_CALL_FAILED

    static final int ERROR_THING_CALL_FAILED

See Also:
  Constant Field Values

### ERROR_THING_CALL_IMPLEMENTATION_NOT_FOUND

    static final int ERROR_THING_CALL_IMPLEMENTATION_NOT_FOUND

See Also:
  Constant Field Values

### ERROR_THING_REQUIRED_PROPERTY_MISSING

    static final int ERROR_THING_REQUIRED_PROPERTY_MISSING

See Also:
  Constant Field Values

### SYSTEM_FAULT_THING_DIED

    static final int SYSTEM_FAULT_THING_DIED

See Also:
  Constant Field Values

### ERROR_THING_RUN_FAILED

    static final int ERROR_THING_RUN_FAILED

See Also:
  Constant Field Values

### ERROR_THING_BAD_VALUE

    static final int ERROR_THING_BAD_VALUE

See Also:
  Constant Field Values

### ERROR_THING_CLUSTER

    static final int ERROR_THING_CLUSTER

See Also:
  Constant Field Values

### ERROR_THING_CLUSTER_NODE_ALREADY_DEFINED

    static final int ERROR_THING_CLUSTER_NODE_ALREADY_DEFINED

See Also:
  Constant Field Values

### ERROR_THING_CLUSTER_NODE_START_ERROR

    static final int ERROR_THING_CLUSTER_NODE_START_ERROR

See Also:
  Constant Field Values

### ERROR_THING_CLUSTER_CHECK_FAILED

    static final int ERROR_THING_CLUSTER_CHECK_FAILED

See Also:
  Constant Field Values

### ERROR_THING_EXPRESSION_DEFAULT_ERROR

    static final int ERROR_THING_EXPRESSION_DEFAULT_ERROR

See Also:
  Constant Field Values

### ERROR_THING_RESULT_SPURIOUS_ERROR

    static final int ERROR_THING_RESULT_SPURIOUS_ERROR

See Also:
  Constant Field Values

### ERROR_THING_EXPRESSION_COULD_NOT_SET

    static final int ERROR_THING_EXPRESSION_COULD_NOT_SET

See Also:
  Constant Field Values

### PROCESSOR_HTTPHEADER_FAILED

    static final int PROCESSOR_HTTPHEADER_FAILED

See Also:
  Constant Field Values

### PROCESSOR_HTTPREQUEST_FAILED

    static final int PROCESSOR_HTTPREQUEST_FAILED

See Also:
  Constant Field Values

### BAD_DSN

    static final int BAD_DSN

See Also:
  Constant Field Values

### MODULE_ERROR

    static final int MODULE_ERROR

See Also:
  Constant Field Values

### ERROR_MODULE_IMPLEMENTATION_NOT_FOUND

    static final int ERROR_MODULE_IMPLEMENTATION_NOT_FOUND

See Also:
  Constant Field Values

### ERROR_MODULE_INSTANTIATION_FAILED

    static final int ERROR_MODULE_INSTANTIATION_FAILED

See Also:
  Constant Field Values

### SERVICE_CLI_BAD_COMMAND_LINE

    static final int SERVICE_CLI_BAD_COMMAND_LINE

See Also:
  Constant Field Values

### COMMANDLINE_ERROR_MISSING_REQUIRED

    static final int COMMANDLINE_ERROR_MISSING_REQUIRED

See Also:
  Constant Field Values

### COMMANDLINE_ERROR_NAME_NULL

    static final int COMMANDLINE_ERROR_NAME_NULL

See Also:
  Constant Field Values

### COMMANDLINE_ERROR_MISSING_REQUIRED_ASSUMED

    static final int COMMANDLINE_ERROR_MISSING_REQUIRED_ASSUMED

See Also:
  Constant Field Values

### GENERAL_PARSER_ERROR

    static final int GENERAL_PARSER_ERROR

See Also:
  Constant Field Values

### MODULE_BUILTIN_UPA_SAVE_FAILED

    static final int MODULE_BUILTIN_UPA_SAVE_FAILED

See Also:
  Constant Field Values

### MODULE_BUILTIN_UPA_LOAD_FAILED

    static final int MODULE_BUILTIN_UPA_LOAD_FAILED

See Also:
  Constant Field Values

### SERVICE_HTTPTOOL_ERROR

    static final int SERVICE_HTTPTOOL_ERROR

See Also:
  Constant Field Values

### SERVICE_HTTPTOOL_ACTION_LOAD_FAILED

    static final int SERVICE_HTTPTOOL_ACTION_LOAD_FAILED

See Also:
  Constant Field Values

### SERVICE_HTTPTOOL_PAGE_MERGE_FAILED

    static final int SERVICE_HTTPTOOL_PAGE_MERGE_FAILED

See Also:
  Constant Field Values

### SERVICE_HTTPTOOL_PAGE_MERGE_FAILED_USAGE

    static final int SERVICE_HTTPTOOL_PAGE_MERGE_FAILED_USAGE

See Also:
  Constant Field Values

### SERVICE_HTTPTOOL_PAGE_LOAD_FAILED

    static final int SERVICE_HTTPTOOL_PAGE_LOAD_FAILED

See Also:
  Constant Field Values

### SERVICE_HTTPTOOL_ERROR_UNKNOWN_METHOD

    static final int SERVICE_HTTPTOOL_ERROR_UNKNOWN_METHOD

See Also:
  Constant Field Values

### SERVICE_HTTPTOOL_PAGE_RENDER_FAILED

    static final int SERVICE_HTTPTOOL_PAGE_RENDER_FAILED

See Also:
  Constant Field Values

### SERVICE_HTTPTOOL_BAD_REQUEST

    static final int SERVICE_HTTPTOOL_BAD_REQUEST

See Also:
  Constant Field Values

### SERVICE_HTTPTOOL_CONVERSION_ERROR

    static final int SERVICE_HTTPTOOL_CONVERSION_ERROR

See Also:
  Constant Field Values

### SERVICE_HTTPTOOL_MANAGE_HEAD_FAILED

    static final int SERVICE_HTTPTOOL_MANAGE_HEAD_FAILED

See Also:
  Constant Field Values

### SERVICE_HTTPTOOL_RESPONSE_FAILED

    static final int SERVICE_HTTPTOOL_RESPONSE_FAILED

See Also:
  Constant Field Values

### SERVICE_HTTPTOOL_SERVE_FAILED

    static final int SERVICE_HTTPTOOL_SERVE_FAILED

See Also:
  Constant Field Values

### SERVICE_HTTPTOOL_ACTIONIZER_DECLARATION_FAILED

    static final int SERVICE_HTTPTOOL_ACTIONIZER_DECLARATION_FAILED

See Also:
  Constant Field Values

### SERVICE_HTTPTOOL_ACTIONIZER_BAD_DECLARE

    static final int SERVICE_HTTPTOOL_ACTIONIZER_BAD_DECLARE

See Also:
  Constant Field Values

### SMTPCLIENT_ERROR_ALREADY_CONNECTED

    static final int SMTPCLIENT_ERROR_ALREADY_CONNECTED

See Also:
  Constant Field Values

### SMTPCLIENT_ERROR_LOGIN_FAILED

    static final int SMTPCLIENT_ERROR_LOGIN_FAILED

See Also:
  Constant Field Values

### SMTPCLIENT_ERROR_MAILFROM_FAILED

    static final int SMTPCLIENT_ERROR_MAILFROM_FAILED

See Also:
  Constant Field Values

### SMTPCLIENT_ERROR_RCPTTO_FAILED

    static final int SMTPCLIENT_ERROR_RCPTTO_FAILED

See Also:
  Constant Field Values

### SMTPCLIENT_ERROR_SEND_FAILED

    static final int SMTPCLIENT_ERROR_SEND_FAILED

See Also:
  Constant Field Values

### SMTPCLIENT_ERROR_SEND_TIMEOUT

    static final int SMTPCLIENT_ERROR_SEND_TIMEOUT

See Also:
  Constant Field Values

### CRAWLER_ERROR_DURING_SETUP

    static final int CRAWLER_ERROR_DURING_SETUP

See Also:
  Constant Field Values

### CRAWLER_ERROR

    static final int CRAWLER_ERROR

See Also:
  Constant Field Values

### SERVICE_THINGER_ERROR

    static final int SERVICE_THINGER_ERROR

See Also:
  Constant Field Values

### SERVICE_THINGER_BAD_CONSTRUCTION

    static final int SERVICE_THINGER_BAD_CONSTRUCTION

See Also:
  Constant Field Values

### ACTORSERVICE_ERROR

    static final int ACTORSERVICE_ERROR

See Also:
  Constant Field Values

### ACTORSERVICE_PROTOCOL_ERROR

    static final int ACTORSERVICE_PROTOCOL_ERROR

See Also:
  Constant Field Values

### ACTORSERVICE_LINK_ERROR

    static final int ACTORSERVICE_LINK_ERROR

See Also:
  Constant Field Values

### ACTORSERVICE_SEND_ERROR

    static final int ACTORSERVICE_SEND_ERROR

See Also:
  Constant Field Values

### DECOMPOSER_LOOKUP_ERROR

    static final int DECOMPOSER_LOOKUP_ERROR

See Also:
  Constant Field Values

### PROXY_ERROR

    static final int PROXY_ERROR

See Also:
  Constant Field Values

### PROXY_SESSION_ERROR

    static final int PROXY_SESSION_ERROR

See Also:
  Constant Field Values

### PROXY_CONNECTION_ERROR

    static final int PROXY_CONNECTION_ERROR

See Also:
  Constant Field Values

### USAGE_ERROR

    static final int USAGE_ERROR

See Also:
  Constant Field Values

### USER_EXPRESSION_FAILED

    static final int USER_EXPRESSION_FAILED

See Also:
  Constant Field Values

### USER_COMMAND_ERROR

    static final int USER_COMMAND_ERROR

See Also:
  Constant Field Values

### USER_UNSUPPORTED_FUNCTION_ERROR

    static final int USER_UNSUPPORTED_FUNCTION_ERROR

See Also:
  Constant Field Values

### USER_BAD_CONFIGURATION_ERROR

    static final int USER_BAD_CONFIGURATION_ERROR

See Also:
  Constant Field Values

### USER_ERROR_RESERVED_END

    static final int USER_ERROR_RESERVED_END

See Also:
  Constant Field Values

### ERROR_TOP

    static final int ERROR_TOP

See Also:
  Constant Field Values

### WARNING

    static final int WARNING

See Also:
  Constant Field Values

### SYSTEM_COMMAND_WARNING_GENERAL

    static final int SYSTEM_COMMAND_WARNING_GENERAL

See Also:
  Constant Field Values

### SYSTEM_COMMAND_WARNING_NO_ONE_LISTENING

    static final int SYSTEM_COMMAND_WARNING_NO_ONE_LISTENING

See Also:
  Constant Field Values

### PROCESSOR_HTTPHEADER_UNHANDLED

    static final int PROCESSOR_HTTPHEADER_UNHANDLED

See Also:
  Constant Field Values

### PROCESSOR_HTTP_GHOSTED_PROCESS

    static final int PROCESSOR_HTTP_GHOSTED_PROCESS

See Also:
  Constant Field Values

### USER_WARNING_RESERVED_END

    static final int USER_WARNING_RESERVED_END

See Also:
  Constant Field Values

### WARNING_TOP

    static final int WARNING_TOP

See Also:
  Constant Field Values

### INFO

    static final int INFO

See Also:
  Constant Field Values

### SYSTEM_SERVICE_NOTIFICATION

    static final int SYSTEM_SERVICE_NOTIFICATION

See Also:
  Constant Field Values

### SYSTEM_SERVICE_DONE

    static final int SYSTEM_SERVICE_DONE

See Also:
  Constant Field Values

### SYSTEM_SERVICE_RESPONSE_TIMEOUT

    static final int SYSTEM_SERVICE_RESPONSE_TIMEOUT

See Also:
  Constant Field Values

### KERNEL_PROCESS_DONE

    static final int KERNEL_PROCESS_DONE

See Also:
  Constant Field Values

### KERNEL_PROCESS_FINALIZATION

    static final int KERNEL_PROCESS_FINALIZATION

See Also:
  Constant Field Values

### KERNEL_PROCESS_INTERRUPTED

    static final int KERNEL_PROCESS_INTERRUPTED

See Also:
  Constant Field Values

### KERNEL_PROCESS_STARTED

    static final int KERNEL_PROCESS_STARTED

See Also:
  Constant Field Values

### KERNEL_PROCESS_THING_STARTED

    static final int KERNEL_PROCESS_THING_STARTED

See Also:
  Constant Field Values

### KERNEL_PROCESS_THING_WAITING_START

    static final int KERNEL_PROCESS_THING_WAITING_START

See Also:
  Constant Field Values

### THING_CLUSTER_NODE_STARTED

    static final int THING_CLUSTER_NODE_STARTED

See Also:
  Constant Field Values

### SERVICE_HTTPTOOL_OK

    static final int SERVICE_HTTPTOOL_OK

See Also:
  Constant Field Values

### SMTPCLIENT_SEND_OK

    static final int SMTPCLIENT_SEND_OK

See Also:
  Constant Field Values

### SMTPCLIENT_BENIGN_DISCONNECT_ERROR

    static final int SMTPCLIENT_BENIGN_DISCONNECT_ERROR

See Also:
  Constant Field Values

### SMTPCLIENT_INTERRUPTED_AND_QUITTING

    static final int SMTPCLIENT_INTERRUPTED_AND_QUITTING

See Also:
  Constant Field Values

### SERVICE_ACTOR_OK

    static final int SERVICE_ACTOR_OK

See Also:
  Constant Field Values

### SERVICE_ACTOR_CONNECTION_ACCEPTED

    static final int SERVICE_ACTOR_CONNECTION_ACCEPTED

See Also:
  Constant Field Values

### SERVICE_PROXY_ACCEPT

    static final int SERVICE_PROXY_ACCEPT

See Also:
  Constant Field Values

### SERVICE_PROXY_SR_COMPLETE

    static final int SERVICE_PROXY_SR_COMPLETE

See Also:
  Constant Field Values

### SERVICE_PROXY_CONTEXT_START_PROCESS

    static final int SERVICE_PROXY_CONTEXT_START_PROCESS

See Also:
  Constant Field Values

### USER_DEFAULT_INFO

    static final int USER_DEFAULT_INFO

See Also:
  Constant Field Values

### USER_RESULT_COMPLETE

    static final int USER_RESULT_COMPLETE

See Also:
  Constant Field Values

### USER_RESULT_DEFAULT

    static final int USER_RESULT_DEFAULT

See Also:
  Constant Field Values

### USER_RESULT_ERRORED

    static final int USER_RESULT_ERRORED

See Also:
  Constant Field Values

### USER_THING_MANAGEMENT

    static final int USER_THING_MANAGEMENT

See Also:
  Constant Field Values

### USER_INFO_RESERVED_END

    static final int USER_INFO_RESERVED_END

See Also:
  Constant Field Values

### INFO_TOP

    static final int INFO_TOP

See Also:
  Constant Field Values

### DEBUG

    static final int DEBUG

See Also:
  Constant Field Values

### SYSTEM_DEBUG

    static final int SYSTEM_DEBUG

See Also:
  Constant Field Values

### SYSTEM_DEBUG_COMMAND

    static final int SYSTEM_DEBUG_COMMAND

See Also:
  Constant Field Values

### DEBUG_THING_CALL_GENERAL

    static final int DEBUG_THING_CALL_GENERAL

See Also:
  Constant Field Values

### DEBUG_THING_CALL_SETUP

    static final int DEBUG_THING_CALL_SETUP

See Also:
  Constant Field Values

### DEBUG_THING_CALL_ENTER

    static final int DEBUG_THING_CALL_ENTER

See Also:
  Constant Field Values

### DEBUG_THING_CALL_DONE

    static final int DEBUG_THING_CALL_DONE

See Also:
  Constant Field Values

### DEBUG_THING_CALL_DONE_EXCEPTION

    static final int DEBUG_THING_CALL_DONE_EXCEPTION

See Also:
  Constant Field Values

### DEBUG_THING_CALL_DONE_INTERRUPTION

    static final int DEBUG_THING_CALL_DONE_INTERRUPTION

See Also:
  Constant Field Values

### DEBUG_THING_ECLIPSE_PARENT_EXPRESSOR

    static final int DEBUG_THING_ECLIPSE_PARENT_EXPRESSOR

See Also:
  Constant Field Values

### DEBUG_THING_RUN_GENERAL

    static final int DEBUG_THING_RUN_GENERAL

See Also:
  Constant Field Values

### DEBUG_THING_RUN_DONE_EXCEPTION

    static final int DEBUG_THING_RUN_DONE_EXCEPTION

See Also:
  Constant Field Values

### DEBUG_THING_MODULE_INSTANCE

    static final int DEBUG_THING_MODULE_INSTANCE

See Also:
  Constant Field Values

### DEBUG_THING_LOADED

    static final int DEBUG_THING_LOADED

See Also:
  Constant Field Values

### DEBUG_PROPERTY_VALUE

    static final int DEBUG_PROPERTY_VALUE

See Also:
  Constant Field Values

### DEBUG_MODULE_SETUP

    static final int DEBUG_MODULE_SETUP

See Also:
  Constant Field Values

### DEBUG_MODULE_LOADED

    static final int DEBUG_MODULE_LOADED

See Also:
  Constant Field Values

### DEBUG_SMTP_RETRIABLE_ERROR

    static final int DEBUG_SMTP_RETRIABLE_ERROR

See Also:
  Constant Field Values

### USER_DEBUG_RESERVED_END

    static final int USER_DEBUG_RESERVED_END

See Also:
  Constant Field Values

### DEBUG_TOP

    static final int DEBUG_TOP

See Also:
  Constant Field Values

### ALL

    static final int ALL

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Things.